VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex2p"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL RXUSRCLK2
        SIGNAL RECEIVE(15:0)
        SIGNAL RXDATA(15:0)
        SIGNAL RXRESET
        SIGNAL RAW_STATS(15:0)
        SIGNAL SOP
        SIGNAL TX_ADDR(1:0)
        SIGNAL TX_MAC(15:0)
        SIGNAL DFLT_MAC(15:0)
        SIGNAL RXSTATUS(15:0)
        SIGNAL PROMISC
        SIGNAL STATE_ERR(3:0)
        SIGNAL UPD_FRAME_STATS
        SIGNAL XLXN_1691
        SIGNAL XLXN_1692
        SIGNAL XLXN_1693
        SIGNAL LEN_OK
        SIGNAL XLXN_1695
        SIGNAL RX_ERR
        SIGNAL FF_MAC_PUSH
        SIGNAL FF_FULL
        SIGNAL FRAME_STATE_VALID
        SIGNAL FF_AF
        SIGNAL GOOD_FRAME
        SIGNAL XLXN_1746
        SIGNAL XLXN_1764
        SIGNAL FF_MT
        SIGNAL XLXN_1791(15:0)
        SIGNAL XLXN_1763
        SIGNAL XLXN_1845
        SIGNAL PASS_THRU
        SIGNAL EOP
        SIGNAL CAR_XTEND
        SIGNAL ERR_PROP
        SIGNAL RCV_ADDR(1:0)
        SIGNAL MACBUS(15:0)
        SIGNAL WADDR_TYPE(4:0)
        SIGNAL MWE
        SIGNAL ALL_MACS(63:0)
        SIGNAL RXCHARISK(1:0)
        SIGNAL RXVALDAT
        SIGNAL PKT_DATA(15:0)
        SIGNAL ACTIVE
        SIGNAL FF_READ
        SIGNAL FF_MAC_POP
        SIGNAL ENA_FRAME
        SIGNAL FRAME_REQ
        SIGNAL FF_RDY
        SIGNAL ETH1_FRAME_READY
        SIGNAL FRAME_LENGTH(12:0)
        SIGNAL PKT_FF_DATA(15:0)
        SIGNAL RCV_OPCODE(11:0)
        SIGNAL PRIO_MAC_MT
        SIGNAL PRIO_MAC(15:0)
        SIGNAL NORM_MAC(15:0)
        SIGNAL RXRUNDISP(1:0)
        SIGNAL RXNOTINTABLE(1:0)
        SIGNAL RXLOSSOFSYNC(1:0)
        SIGNAL RXDISPERR(1:0)
        SIGNAL RXCLKCORCNT(2:0)
        SIGNAL RXCHARISCOMMA(1:0)
        SIGNAL RXBUFSTATUS(1:0)
        SIGNAL RXCOMMADET
        SIGNAL RXREALIGN
        SIGNAL RXCHECKINGCRC
        SIGNAL RXCRCERR
        SIGNAL DRPD_CNT(31:0)
        SIGNAL RCVD_CNT(31:0)
        SIGNAL NORM_MAC_POP
        SIGNAL NORM_MAC_MT
        SIGNAL PRIO_MAC_POP
        SIGNAL TXDATA(15:0)
        SIGNAL TXKERR(1:0)
        SIGNAL TXBUFERR
        SIGNAL TXRUNDISP(1:0)
        SIGNAL TXSTATUS(15:0)
        SIGNAL TX_UPDT
        SIGNAL XMIT_CNT(31:0)
        SIGNAL XERR_CNT(31:0)
        SIGNAL TX_ERR
        SIGNAL NORM_PB_MT
        SIGNAL NORM_PB_AF
        SIGNAL NORM_PB_FULL
        SIGNAL PRIO_PB_FULL
        SIGNAL PRIO_PB_AF
        SIGNAL PRIO_PB_MT
        SIGNAL TXUSRCLK2
        SIGNAL TXRESET
        SIGNAL XLXN_1826
        SIGNAL XLXN_1825
        SIGNAL XLXN_1836
        SIGNAL PROT_ENA
        SIGNAL XTEND
        SIGNAL TXCHARISK(1:0)
        SIGNAL DV1024CLK
        SIGNAL SND_PRIO_NOW
        SIGNAL PRIO_DAT
        SIGNAL PRIO_DATA(15:0)
        SIGNAL PRIO_POP
        SIGNAL PRIO_LEN(12:0)
        SIGNAL PRIO_TYPE(7:0)
        SIGNAL PRIO_NEW
        SIGNAL PRIO_FRAG
        SIGNAL PRIO_FRAG_NUM(31:0)
        SIGNAL PRIO_RDY
        SIGNAL NORM_DAT
        SIGNAL SND_NORM_NOW
        SIGNAL NORM_DATA(15:0)
        SIGNAL NORM_RDY
        SIGNAL NORM_POP
        SIGNAL NORM_LEN(12:0)
        SIGNAL NORM_TYPE(7:0)
        SIGNAL NORM_NEW
        SIGNAL NORM_FRAG
        SIGNAL NORM_FRAG_NUM(31:0)
        SIGNAL SND_SPONT_NOW
        SIGNAL SPONT_DAT
        SIGNAL SPONT_DATA(15:0)
        SIGNAL SPONT_POP
        SIGNAL SPONT_LEN(12:0)
        SIGNAL SPONT_TYPE(7:0)
        SIGNAL SPONT_NEW
        SIGNAL SPONT_FRAG
        SIGNAL SPONT_FRAG_NUM(31:0)
        SIGNAL SPONT_RDY
        SIGNAL TXTYPE(7:0)
        SIGNAL TRANSMIT(15:0)
        SIGNAL SPONT_PB_MT
        SIGNAL SPONT_PB_AF
        SIGNAL SPONT_PB_FULL
        SIGNAL SPONT_PKT_ENA
        SIGNAL PRIO_PKT_ENA
        SIGNAL NORM_PKT_ENA
        SIGNAL RX_STAT_READ
        SIGNAL RX_STAT_ENA
        SIGNAL RX_STAT_MT
        SIGNAL RX_STAT_SEL(2:0)
        SIGNAL RX_STAT_SEL(0)
        SIGNAL ETHER_CNFG(15:0)
        SIGNAL TX_INPRGS
        PORT Input RXUSRCLK2
        PORT Output RECEIVE(15:0)
        PORT Input RXDATA(15:0)
        PORT Input RXRESET
        PORT Output RXSTATUS(15:0)
        PORT Output RX_ERR
        PORT Output GOOD_FRAME
        PORT BiDirectional MACBUS(15:0)
        PORT Input WADDR_TYPE(4:0)
        PORT Input MWE
        PORT Input RXCHARISK(1:0)
        PORT Output ACTIVE
        PORT Input ENA_FRAME
        PORT Input FRAME_REQ
        PORT Output ETH1_FRAME_READY
        PORT Output RCV_OPCODE(11:0)
        PORT Input RXRUNDISP(1:0)
        PORT Input RXNOTINTABLE(1:0)
        PORT Input RXLOSSOFSYNC(1:0)
        PORT Input RXDISPERR(1:0)
        PORT Input RXCLKCORCNT(2:0)
        PORT Input RXCHARISCOMMA(1:0)
        PORT Input RXBUFSTATUS(1:0)
        PORT Input RXCOMMADET
        PORT Input RXREALIGN
        PORT Input RXCHECKINGCRC
        PORT Input RXCRCERR
        PORT Output DRPD_CNT(31:0)
        PORT Output RCVD_CNT(31:0)
        PORT Output TXDATA(15:0)
        PORT Input TXKERR(1:0)
        PORT Input TXBUFERR
        PORT Input TXRUNDISP(1:0)
        PORT Output TXSTATUS(15:0)
        PORT Output TX_UPDT
        PORT Output XMIT_CNT(31:0)
        PORT Output XERR_CNT(31:0)
        PORT Output TX_ERR
        PORT Input TXUSRCLK2
        PORT Input TXRESET
        PORT Output TXCHARISK(1:0)
        PORT Input DV1024CLK
        PORT Input SND_PRIO_NOW
        PORT Input PRIO_DAT
        PORT Input NORM_DAT
        PORT Input SND_NORM_NOW
        PORT Input SND_SPONT_NOW
        PORT Input SPONT_DAT
        PORT Input TXTYPE(7:0)
        PORT Input TRANSMIT(15:0)
        PORT Input RX_STAT_READ
        PORT Input RX_STAT_ENA
        PORT Output RX_STAT_MT
        PORT Input RX_STAT_SEL(2:0)
        PORT Input ETHER_CNFG(15:0)
        PORT Output TX_INPRGS
        BEGIN BLOCKDEF osu_title
            TIMESTAMP 2006 3 8 16 49 56
            BEGIN LINE W -1056 -336 0 -336 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE W 0 0 0 -336 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE W -1056 0 0 0 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE W -1056 0 -1056 -336 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE W -720 0 -720 -336 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N 0 -96 -720 -96 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N 0 -144 -720 -144 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N -4 -192 -724 -192 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N -4 -240 -724 -240 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N 0 -48 -720 -48 
                LINECOLOR 0 0 0
            END LINE
            BEGIN RECTANGLE N -1024 -304 -752 -32 
                LINECOLOR 0 0 0
            END RECTANGLE
            BEGIN CIRCLE N -932 -284 -924 -276 
                LINECOLOR 255 0 0
                FILLCOLOR 255 0 0
                FILLSTYLE Solid
            END CIRCLE
            BEGIN CIRCLE N -844 -284 -836 -276 
                LINECOLOR 255 0 0
                FILLCOLOR 255 0 0
                FILLSTYLE Solid
            END CIRCLE
            BEGIN CIRCLE W -1020 -252 -944 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN CIRCLE W -844 -252 -768 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN LINE W -864 -180 -864 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -884 -180 -884 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -932 -216 -884 -216 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -932 -180 -932 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -928 -84 -892 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -892 -164 -860 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -912 -116 -872 -116 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -840 -164 -840 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -868 -164 -772 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -816 -164 -816 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -816 -84 -772 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -816 -124 -784 -124 
                LINECOLOR 255 0 0
            END LINE
            BEGIN ARC W -1024 -124 -980 -80 -1020 -88 -1000 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN ARC W -1020 -164 -980 -124 -996 -164 -996 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN LINE W -996 -164 -916 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -952 -164 -952 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN CIRCLE W -840 -252 -764 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN LINE W -860 -180 -860 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -880 -180 -880 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -928 -216 -880 -216 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -928 -180 -928 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -924 -84 -888 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -888 -164 -856 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -908 -116 -868 -116 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -836 -164 -836 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -864 -164 -768 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -812 -164 -812 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -812 -84 -768 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -812 -124 -780 -124 
                LINECOLOR 255 0 0
            END LINE
            BEGIN ARC W -1020 -124 -976 -80 -1016 -88 -996 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN ARC W -1016 -164 -976 -124 -992 -164 -992 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN LINE W -992 -164 -912 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -948 -164 -948 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN CIRCLE W -1016 -252 -940 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN CIRCLE W -836 -252 -760 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN LINE W -856 -180 -856 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -876 -180 -876 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -924 -216 -876 -216 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -924 -180 -924 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -920 -84 -884 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -884 -164 -852 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -904 -116 -864 -116 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -832 -164 -832 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -860 -164 -764 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -808 -164 -808 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -808 -84 -764 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -808 -124 -776 -124 
                LINECOLOR 255 0 0
            END LINE
            BEGIN ARC W -1016 -124 -972 -80 -1012 -88 -992 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN ARC W -1012 -164 -972 -124 -988 -164 -988 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN LINE W -988 -164 -908 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -944 -164 -944 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN CIRCLE W -1012 -252 -936 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN CIRCLE W -1008 -252 -932 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN CIRCLE W -832 -252 -756 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN LINE W -852 -180 -852 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -872 -180 -872 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -920 -216 -872 -216 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -920 -180 -920 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -916 -84 -880 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -880 -164 -848 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -900 -116 -860 -116 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -828 -164 -828 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -856 -164 -760 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -804 -164 -804 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -804 -84 -760 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -804 -124 -772 -124 
                LINECOLOR 255 0 0
            END LINE
            BEGIN ARC W -1012 -124 -968 -80 -1008 -88 -988 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN ARC W -1008 -164 -968 -124 -984 -164 -984 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN LINE W -984 -164 -904 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -940 -164 -940 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE N -288 -48 -288 0 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N -288 -96 -288 -144 
                LINECOLOR 0 0 0
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF rx_mac_processor
            TIMESTAMP 2005 8 12 14 57 24
            RECTANGLE N 32 -800 512 -32 
            LINE N 0 -64 32 -64 
            LINE N 0 -96 32 -96 
            LINE N 512 -480 544 -480 
            LINE N 0 -448 32 -448 
            LINE N 0 -384 32 -384 
            LINE N 0 -352 32 -352 
            LINE N 0 -320 32 -320 
            LINE N 0 -288 32 -288 
            LINE N 0 -256 32 -256 
            LINE N 0 -224 32 -224 
            BEGIN LINE W 0 -416 32 -416 
            END LINE
            LINE N 0 -128 32 -128 
            LINE N 0 -160 32 -160 
            BEGIN LINE W 256 0 256 -32 
            END LINE
            LINE N 0 -192 32 -192 
            LINE N 0 -544 32 -544 
            LINE N 0 -512 32 -512 
            LINE N 0 -480 32 -480 
            BEGIN LINE W 320 0 320 -32 
            END LINE
            BEGIN LINE W 0 -736 32 -736 
            END LINE
            BEGIN LINE W 0 -704 32 -704 
            END LINE
            BEGIN LINE W 512 -736 544 -736 
            END LINE
            LINE N 512 -704 544 -704 
            LINE N 512 -512 544 -512 
        END BLOCKDEF
        BEGIN BLOCKDEF rxstat_err_mon
            TIMESTAMP 2005 8 12 15 13 20
            RECTANGLE N 32 -960 576 -32 
            LINE N 0 -800 32 -800 
            LINE N 0 -768 32 -768 
            LINE N 0 -736 32 -736 
            LINE N 0 -704 32 -704 
            BEGIN LINE W 32 -672 0 -672 
            END LINE
            BEGIN LINE W 32 -640 0 -640 
            END LINE
            BEGIN LINE W 32 -608 0 -608 
            END LINE
            BEGIN LINE W 32 -576 0 -576 
            END LINE
            BEGIN LINE W 32 -544 0 -544 
            END LINE
            BEGIN LINE W 32 -512 0 -512 
            END LINE
            BEGIN LINE W 32 -480 0 -480 
            END LINE
            LINE N 0 -96 32 -96 
            LINE N 0 -128 32 -128 
            LINE N 0 -256 32 -256 
            LINE N 0 -224 32 -224 
            BEGIN LINE W 224 0 224 -32 
            END LINE
            BEGIN LINE W 256 0 256 -32 
            END LINE
            LINE N 576 -736 608 -736 
            BEGIN LINE W 608 -768 576 -768 
            END LINE
            LINE N 576 -480 608 -480 
            BEGIN LINE W 608 -128 576 -128 
            END LINE
            LINE N 576 -160 608 -160 
            LINE N 576 -224 608 -224 
            LINE N 576 -192 608 -192 
            LINE N 576 -320 608 -320 
            LINE N 576 -288 608 -288 
            LINE N 576 -256 608 -256 
            LINE N 576 -704 608 -704 
            LINE N 576 -672 608 -672 
            LINE N 576 -640 608 -640 
            LINE N 576 -608 608 -608 
            LINE N 576 -576 608 -576 
            LINE N 576 -544 608 -544 
            LINE N 576 -800 608 -800 
            LINE N 576 -832 608 -832 
            LINE N 576 -864 608 -864 
            LINE N 576 -896 608 -896 
            BEGIN LINE W 608 -928 576 -928 
            END LINE
            BEGIN LINE W 320 0 320 -32 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF payload_decode
            TIMESTAMP 2005 8 12 15 7 55
            RECTANGLE N 32 -624 432 -32 
            LINE N 0 -256 32 -256 
            LINE N 432 -224 464 -224 
            LINE N 240 0 240 -32 
            LINE N 0 -64 32 -64 
            LINE N 0 -96 32 -96 
            LINE N 0 -192 32 -192 
            LINE N 208 0 208 -32 
            LINE N 0 -128 32 -128 
            LINE N 0 -160 32 -160 
            LINE N 432 -192 464 -192 
            LINE N 336 0 336 -32 
            LINE N 0 -224 32 -224 
            LINE N 432 -256 464 -256 
            BEGIN LINE W 0 -512 32 -512 
            END LINE
            BEGIN LINE W 0 -544 32 -544 
            END LINE
            BEGIN LINE W 432 -544 464 -544 
            END LINE
            BEGIN LINE W 432 -512 464 -512 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF tx_mac_frame
            TIMESTAMP 2005 8 12 19 41 34
            RECTANGLE N 32 -1856 752 -32 
            BEGIN LINE W 752 -352 784 -352 
            END LINE
            LINE N 752 -320 784 -320 
            BEGIN LINE W 752 -288 784 -288 
            END LINE
            LINE N 752 -128 784 -128 
            BEGIN LINE W 752 -160 784 -160 
            END LINE
            LINE N 752 -192 784 -192 
            LINE N 752 -224 784 -224 
            BEGIN LINE W 752 -256 784 -256 
            END LINE
            BEGIN LINE W 0 -448 32 -448 
            END LINE
            BEGIN LINE W 0 -416 32 -416 
            END LINE
            LINE N 0 -64 32 -64 
            LINE N 0 -96 32 -96 
            LINE N 0 -160 32 -160 
            LINE N 0 -192 32 -192 
            LINE N 0 -128 32 -128 
            LINE N 0 -256 32 -256 
            LINE N 0 -224 32 -224 
            LINE N 0 -384 32 -384 
            LINE N 0 -352 32 -352 
            LINE N 0 -480 32 -480 
            BEGIN LINE W 752 -992 784 -992 
            END LINE
            LINE N 752 -960 784 -960 
            BEGIN LINE W 752 -928 784 -928 
            END LINE
            BEGIN LINE W 752 -896 784 -896 
            END LINE
            LINE N 752 -864 784 -864 
            LINE N 752 -832 784 -832 
            BEGIN LINE W 752 -800 784 -800 
            END LINE
            LINE N 752 -768 784 -768 
            BEGIN LINE W 756 -1632 788 -1632 
            END LINE
            LINE N 756 -1600 788 -1600 
            BEGIN LINE W 756 -1568 788 -1568 
            END LINE
            BEGIN LINE W 756 -1536 788 -1536 
            END LINE
            LINE N 756 -1504 788 -1504 
            LINE N 756 -1472 788 -1472 
            BEGIN LINE W 756 -1440 788 -1440 
            END LINE
            LINE N 756 -1408 788 -1408 
            BEGIN LINE W 352 -1856 352 -1888 
            END LINE
            LINE N 320 -1856 320 -1888 
            LINE N 384 -1856 384 -1888 
            BEGIN LINE W 544 -1856 544 -1888 
            END LINE
            LINE N 512 -1856 512 -1888 
            LINE N 576 -1856 576 -1888 
            BEGIN LINE W 64 -1856 64 -1888 
            END LINE
            BEGIN LINE W 128 -1856 128 -1888 
            END LINE
            BEGIN LINE W 192 -1856 192 -1888 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF txstat_err_mon
            TIMESTAMP 2006 2 21 19 5 24
            RECTANGLE N 32 -704 560 -32 
            LINE N 0 -64 32 -64 
            BEGIN LINE W 32 -352 0 -352 
            END LINE
            BEGIN LINE W 32 -384 0 -384 
            END LINE
            LINE N 32 -416 0 -416 
            BEGIN LINE W 592 -64 560 -64 
            END LINE
            LINE N 592 -608 560 -608 
            LINE N 592 -576 560 -576 
            LINE N 592 -544 560 -544 
            LINE N 0 -96 32 -96 
            BEGIN LINE W 592 -96 560 -96 
            END LINE
            BEGIN LINE W 592 -128 560 -128 
            END LINE
            LINE N 592 -672 560 -672 
            LINE N 592 -640 560 -640 
            LINE N 592 -416 560 -416 
            LINE N 592 -384 560 -384 
            LINE N 592 -352 560 -352 
            LINE N 592 -320 560 -320 
            LINE N 592 -288 560 -288 
            LINE N 592 -256 560 -256 
            LINE N 592 -160 560 -160 
            LINE N 592 -192 560 -192 
            LINE N 592 -224 560 -224 
            LINE N 592 -448 560 -448 
        END BLOCKDEF
        BEGIN BLOCKDEF norm_prio_mac
            TIMESTAMP 2004 5 12 0 49 42
            RECTANGLE N 32 -320 512 -32 
            LINE N 0 -64 32 -64 
            LINE N 0 -96 32 -96 
            LINE N 176 0 176 -32 
            BEGIN LINE W 208 0 208 -32 
            END LINE
            LINE N 240 0 240 -32 
            LINE N 416 0 416 -32 
            BEGIN LINE W 448 0 448 -32 
            END LINE
            LINE N 480 0 480 -32 
            BEGIN LINE W 352 -320 352 -352 
            END LINE
            LINE N 512 -256 544 -256 
            LINE N 512 -288 544 -288 
        END BLOCKDEF
        BEGIN BLOCKDEF logic_anal
            TIMESTAMP 2004 6 22 0 24 18
            RECTANGLE N 32 -384 544 -32 
            LINE N 160 -416 160 -384 
            LINE N 224 -416 224 -384 
            LINE N 256 -416 256 -384 
            LINE N 288 -416 288 -384 
            LINE N 576 -288 544 -288 
            LINE N 576 -224 544 -224 
            LINE N 0 -320 32 -320 
            LINE N 0 -160 32 -160 
            LINE N 0 -96 32 -96 
            LINE N 0 -64 32 -64 
        END BLOCKDEF
        BEGIN BLOCKDEF pkt_rcv_fifo
            TIMESTAMP 2005 8 12 15 0 36
            RECTANGLE N 32 -624 528 -32 
            LINE N 528 -256 560 -256 
            LINE N 0 -288 32 -288 
            LINE N 0 -256 32 -256 
            LINE N 0 -224 32 -224 
            LINE N 0 -192 32 -192 
            LINE N 0 -160 32 -160 
            LINE N 0 -128 32 -128 
            LINE N 0 -96 32 -96 
            LINE N 0 -64 32 -64 
            LINE N 528 -192 560 -192 
            BEGIN LINE W 368 -32 368 0 
            END LINE
            LINE N 528 -224 560 -224 
            BEGIN LINE W 0 -544 32 -544 
            END LINE
            LINE N 0 -512 32 -512 
            BEGIN LINE W 528 -544 560 -544 
            END LINE
            BEGIN LINE W 528 -512 560 -512 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF pkt_bldr
            TIMESTAMP 2005 8 12 21 4 23
            LINE N 0 -64 32 -64 
            RECTANGLE N 32 -480 368 -32 
            LINE N 192 0 192 -32 
            LINE N 224 0 224 -32 
            LINE N 256 0 256 -32 
            LINE N 0 -96 32 -96 
            BEGIN LINE W 0 -384 32 -384 
            END LINE
            LINE N 0 -352 32 -352 
            BEGIN LINE W 0 -320 32 -320 
            END LINE
            LINE N 0 -160 32 -160 
            BEGIN LINE W 0 -192 32 -192 
            END LINE
            LINE N 0 -224 32 -224 
            LINE N 0 -256 32 -256 
            BEGIN LINE W 0 -288 32 -288 
            END LINE
            BEGIN LINE W 400 -384 368 -384 
            END LINE
            LINE N 400 -352 368 -352 
            BEGIN LINE W 400 -320 368 -320 
            END LINE
            LINE N 400 -288 368 -288 
            LINE N 0 -128 32 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF mac_mem
            TIMESTAMP 2005 7 20 19 0 5
            RECTANGLE N 32 -400 544 -32 
            LINE N 0 -96 32 -96 
            LINE N 0 -160 32 -160 
            BEGIN LINE W 0 -224 32 -224 
            END LINE
            BEGIN LINE W 0 -192 32 -192 
            END LINE
            BEGIN LINE W 320 0 320 -32 
            END LINE
            BEGIN LINE W 256 0 256 -32 
            END LINE
            BEGIN LINE W 384 0 384 -32 
            END LINE
            BEGIN LINE W 288 -432 288 -400 
            END LINE
            BEGIN LINE W 224 -432 224 -400 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF ether_ctrl
            TIMESTAMP 2006 2 21 19 17 14
            RECTANGLE N 32 -448 464 -32 
            BEGIN LINE W 0 -256 32 -256 
            END LINE
            LINE N 464 -352 496 -352 
            LINE N 464 -320 496 -320 
            LINE N 464 -288 496 -288 
            LINE N 464 -256 496 -256 
            LINE N 464 -224 496 -224 
            LINE N 464 -192 496 -192 
            LINE N 464 -160 496 -160 
        END BLOCKDEF
        BEGIN BLOCK XLXI_2 osu_title
            ATTR TitleFieldText "Ethernet"
            ATTR RevFieldText "3.55"
            ATTR ProjectFieldText "D783C"
            ATTR NameFieldText "Gigabit Ethernet VME Controller"
            ATTR DateFieldText "15-JUN-04"
            ATTR SubtitleFieldText "Logic Analyzer"
        END BLOCK
        BEGIN BLOCK XLXI_6 osu_title
            ATTR TitleFieldText "Ethernet"
            ATTR RevFieldText "3.55"
            ATTR ProjectFieldText "D783C"
            ATTR NameFieldText "Gigabit Ethernet VME Controller"
            ATTR DateFieldText "12-MAY-04"
            ATTR SubtitleFieldText "Transmit Packet Building"
        END BLOCK
        BEGIN BLOCK XLXI_1 osu_title
            ATTR TitleFieldText "Ethernet"
            ATTR RevFieldText "3.55"
            ATTR ProjectFieldText "D783C"
            ATTR NameFieldText "Gigabit Ethernet VME Controller"
            ATTR DateFieldText "12-MAY-04"
            ATTR SubtitleFieldText "Receiv Packet Processing"
        END BLOCK
        BEGIN BLOCK RXMAC1 rx_mac_processor
            PIN CLK RXUSRCLK2
            PIN RXRESET RXRESET
            PIN SOP SOP
            PIN STATE_ERR(3:0) STATE_ERR(3:0)
            PIN UPD_FRAM_STATS UPD_FRAME_STATS
            PIN STORE_MAC FF_MAC_PUSH
            PIN BCAST_MTCH XLXN_1692
            PIN MCAST_MTCH XLXN_1693
            PIN LEN_OK LEN_OK
            PIN OVR_MAX XLXN_1695
            PIN LOCAL_MTCH XLXN_1691
            PIN RX_ERR RX_ERR
            PIN PROMISC PROMISC
            PIN RCV_ADDR(1:0) RCV_ADDR(1:0)
            PIN WRNG_SOP XLXN_1845
            PIN EOP EOP
            PIN CAR_XTEND CAR_XTEND
            PIN ERR_PROP ERR_PROP
            PIN ALL_MACS(63:0) ALL_MACS(63:0)
            PIN RXDATA(15:0) RXDATA(15:0)
            PIN RXCHARISK(1:0) RXCHARISK(1:0)
            PIN DATA(15:0) PKT_DATA(15:0)
            PIN RXVALDAT RXVALDAT
            PIN ACTIVE ACTIVE
        END BLOCK
        BEGIN BLOCK MCM1 mac_mem
            PIN CLK RXUSRCLK2
            PIN MWE MWE
            PIN MACBUS(15:0) MACBUS(15:0)
            PIN WA_TP(4:0) WADDR_TYPE(4:0)
            PIN DFLT_MAC(15:0) DFLT_MAC(15:0)
            PIN TX_MAC(15:0) TX_MAC(15:0)
            PIN TX_ADDR(1:0) TX_ADDR(1:0)
            PIN ALL_MACS(63:0) ALL_MACS(63:0)
            PIN RCV_ADDR(1:0) RCV_ADDR(1:0)
        END BLOCK
        BEGIN BLOCK PDCD1 payload_decode
            PIN CLK RXUSRCLK2
            PIN READ FF_READ
            PIN FF_RD_ERR XLXN_1746
            PIN ENA ENA_FRAME
            PIN RXRESET RXRESET
            PIN MAC_POP FF_MAC_POP
            PIN MAC_PUSH XLXN_1764
            PIN PRIO_FRAME XLXN_1763
            PIN MT FF_MT
            PIN FRAME_REQ FRAME_REQ
            PIN PASS_THRU PASS_THRU
            PIN FF_RDY FF_RDY
            PIN FRAME_READY ETH1_FRAME_READY
            PIN FRAME_LEN(12:0) FRAME_LENGTH(12:0)
            PIN DATAIN(15:0) PKT_FF_DATA(15:0)
            PIN DATAOUT(15:0) RECEIVE(15:0)
            PIN OPCODE(11:0) RCV_OPCODE(11:0)
        END BLOCK
        BEGIN BLOCK FF1 pkt_rcv_fifo
            PIN READ FF_READ
            PIN GOOD_FRAME GOOD_FRAME
            PIN FRAME_STAT_VALID FRAME_STATE_VALID
            PIN CLK RXUSRCLK2
            PIN MAC_PUSH FF_MAC_PUSH
            PIN RXRESET RXRESET
            PIN MT FF_MT
            PIN FULL FF_FULL
            PIN AF FF_AF
            PIN MAC_POP FF_MAC_POP
            PIN MAC_OUT(15:0) XLXN_1791(15:0)
            PIN FRAME_READY FF_RDY
            PIN FF_IN(15:0) PKT_DATA(15:0)
            PIN RXVALDAT RXVALDAT
            PIN FF_OUT(15:0) PKT_FF_DATA(15:0)
            PIN FRAME_LEN(12:0) FRAME_LENGTH(12:0)
        END BLOCK
        BEGIN BLOCK npm1 norm_prio_mac
            PIN CLK RXUSRCLK2
            PIN RXRESET RXRESET
            PIN NORM_POP NORM_MAC_POP
            PIN NORM_MAC(15:0) NORM_MAC(15:0)
            PIN NORM_MT NORM_MAC_MT
            PIN PRIO_POP PRIO_MAC_POP
            PIN PRIO_MAC(15:0) PRIO_MAC(15:0)
            PIN PRIO_MT PRIO_MAC_MT
            PIN MAC_DEST(15:0) XLXN_1791(15:0)
            PIN PRIO_FRAME XLXN_1763
            PIN PUSH XLXN_1764
        END BLOCK
        BEGIN BLOCK RXMON1 rxstat_err_mon
            PIN RXCRCERR RXCRCERR
            PIN RXCHECKINGCRC RXCHECKINGCRC
            PIN RXREALIGN RXREALIGN
            PIN RXCOMMADET RXCOMMADET
            PIN RXBUFSTATUS(1:0) RXBUFSTATUS(1:0)
            PIN RXCHARISCOMMA(1:0) RXCHARISCOMMA(1:0)
            PIN RXCLKCORCNT(2:0) RXCLKCORCNT(2:0)
            PIN RXDISPERR(1:0) RXDISPERR(1:0)
            PIN RXLOSSOFSYNC(1:0) RXLOSSOFSYNC(1:0)
            PIN RXNOTINTABLE(1:0) RXNOTINTABLE(1:0)
            PIN RXRUNDISP(1:0) RXRUNDISP(1:0)
            PIN CLK RXUSRCLK2
            PIN RXRESET RXRESET
            PIN PROMISC PROMISC
            PIN PASS_THRU PASS_THRU
            PIN RCVD_CNT(31:0) RCVD_CNT(31:0)
            PIN DRPD_CNT(31:0) DRPD_CNT(31:0)
            PIN UPD_FRAM_STATS UPD_FRAME_STATS
            PIN STATE_ERR(3:0) STATE_ERR(3:0)
            PIN SOP SOP
            PIN RX_ERR RX_ERR
            PIN OVR_MAX XLXN_1695
            PIN LEN_OK LEN_OK
            PIN MCAST_MTCH XLXN_1693
            PIN BCAST_MTCH XLXN_1692
            PIN LOCAL_MTCH XLXN_1691
            PIN RXSTATUS(15:0) RXSTATUS(15:0)
            PIN FF_RD_ERR XLXN_1746
            PIN FRAME_STAT_VALID FRAME_STATE_VALID
            PIN GOOD_FRAME GOOD_FRAME
            PIN FF_AF FF_AF
            PIN FF_FULL FF_FULL
            PIN FF_MT FF_MT
            PIN WRNG_SOP XLXN_1845
            PIN ERR_PROP ERR_PROP
            PIN CAR_XTEND CAR_XTEND
            PIN EOP EOP
            PIN RXCHARISK(1:0) RXCHARISK(1:0)
            PIN RAW_STATS(15:0) RAW_STATS(15:0)
        END BLOCK
        BEGIN BLOCK TXMON txstat_err_mon
            PIN CLK TXUSRCLK2
            PIN TXRUNDISP(1:0) TXRUNDISP(1:0)
            PIN TXKERR(1:0) TXKERR(1:0)
            PIN TXBUFFERR TXBUFERR
            PIN TXSTATUS(15:0) TXSTATUS(15:0)
            PIN TX_ERR_RST XLXN_1825
            PIN UPD_STATS TX_UPDT
            PIN TX_PROC XLXN_1826
            PIN TXRESET TXRESET
            PIN XMIT_CNT(31:0) XMIT_CNT(31:0)
            PIN XERR_CNT(31:0) XERR_CNT(31:0)
            PIN TX_ERR TX_ERR
            PIN TX_MAC_DEST_ERR XLXN_1836
            PIN NORM_PB_MT NORM_PB_MT
            PIN NORM_PB_AF NORM_PB_AF
            PIN NORM_PB_FULL NORM_PB_FULL
            PIN PRIO_PB_FULL PRIO_PB_FULL
            PIN PRIO_PB_MT PRIO_PB_MT
            PIN PRIO_PB_AF PRIO_PB_AF
            PIN SPONT_PB_MT SPONT_PB_MT
            PIN SPONT_PB_AF SPONT_PB_AF
            PIN SPONT_PB_FULL SPONT_PB_FULL
            PIN TX_INPRGS TX_INPRGS
        END BLOCK
        BEGIN BLOCK TXMAC tx_mac_frame
            PIN TXDATA(15:0) TXDATA(15:0)
            PIN TXCHARISK(1:0) TXCHARISK(1:0)
            PIN CLK TXUSRCLK2
            PIN TXRESET TXRESET
            PIN UPD_STATS TX_UPDT
            PIN TX_ERR_RST XLXN_1825
            PIN TX_PROC XLXN_1826
            PIN TX_ERR TX_ERR
            PIN TX_MAC_DEST_ERR XLXN_1836
            PIN XTEND XTEND
            PIN PROT_ENA PROT_ENA
            PIN DV1024CLK DV1024CLK
            PIN NORM_MAC(15:0) NORM_MAC(15:0)
            PIN NORM_MAC_POP NORM_MAC_POP
            PIN NORM_MAC_MT NORM_MAC_MT
            PIN PRIO_MAC_POP PRIO_MAC_POP
            PIN PRIO_MAC(15:0) PRIO_MAC(15:0)
            PIN PRIO_MAC_MT PRIO_MAC_MT
            PIN TX_ADDR(1:0) TX_ADDR(1:0)
            PIN TX_MAC(15:0) TX_MAC(15:0)
            PIN DFLT_MAC(15:0) DFLT_MAC(15:0)
            PIN PRIO_DATAIN(15:0) PRIO_DATA(15:0)
            PIN PRIO_POP PRIO_POP
            PIN PRIO_LEN(12:0) PRIO_LEN(12:0)
            PIN PRIO_RDY PRIO_RDY
            PIN PRIO_FRAG_NUM(31:0) PRIO_FRAG_NUM(31:0)
            PIN PRIO_FRAG PRIO_FRAG
            PIN PRIO_TYPE(7:0) PRIO_TYPE(7:0)
            PIN PRIO_NEW PRIO_NEW
            PIN NORM_DATAIN(15:0) NORM_DATA(15:0)
            PIN NORM_LEN(12:0) NORM_LEN(12:0)
            PIN NORM_POP NORM_POP
            PIN NORM_RDY NORM_RDY
            PIN NORM_TYPE(7:0) NORM_TYPE(7:0)
            PIN NORM_NEW NORM_NEW
            PIN NORM_FRAG NORM_FRAG
            PIN NORM_FRAG_NUM(31:0) NORM_FRAG_NUM(31:0)
            PIN SPONT_DATAIN(15:0) SPONT_DATA(15:0)
            PIN SPONT_LEN(12:0) SPONT_LEN(12:0)
            PIN SPONT_TYPE(7:0) SPONT_TYPE(7:0)
            PIN SPONT_FRAG_NUM(31:0) SPONT_FRAG_NUM(31:0)
            PIN SPONT_POP SPONT_POP
            PIN SPONT_NEW SPONT_NEW
            PIN SPONT_FRAG SPONT_FRAG
            PIN SPONT_RDY SPONT_RDY
        END BLOCK
        BEGIN BLOCK PRIO_PB pkt_bldr
            PIN CLK TXUSRCLK2
            PIN MT PRIO_PB_MT
            PIN AF PRIO_PB_AF
            PIN FULL PRIO_PB_FULL
            PIN TXRESET TXRESET
            PIN DATAOUT(15:0) PRIO_DATA(15:0)
            PIN POP PRIO_POP
            PIN DATA_LEN(12:0) PRIO_LEN(12:0)
            PIN TYPE_OUT(7:0) PRIO_TYPE(7:0)
            PIN NEW_PKT PRIO_NEW
            PIN SEND PRIO_RDY
            PIN FRAG PRIO_FRAG
            PIN FRAG_NUM(31:0) PRIO_FRAG_NUM(31:0)
            PIN DATAIN(15:0) TRANSMIT(15:0)
            PIN PUSH PRIO_DAT
            PIN TYPE_IN(7:0) TXTYPE(7:0)
            PIN FORCE_SEND SND_PRIO_NOW
            PIN PB_ENA PRIO_PKT_ENA
        END BLOCK
        BEGIN BLOCK NORM_PB pkt_bldr
            PIN CLK TXUSRCLK2
            PIN MT NORM_PB_MT
            PIN AF NORM_PB_AF
            PIN FULL NORM_PB_FULL
            PIN TXRESET TXRESET
            PIN DATAOUT(15:0) NORM_DATA(15:0)
            PIN POP NORM_POP
            PIN DATA_LEN(12:0) NORM_LEN(12:0)
            PIN TYPE_OUT(7:0) NORM_TYPE(7:0)
            PIN NEW_PKT NORM_NEW
            PIN SEND NORM_RDY
            PIN FRAG NORM_FRAG
            PIN FRAG_NUM(31:0) NORM_FRAG_NUM(31:0)
            PIN DATAIN(15:0) TRANSMIT(15:0)
            PIN PUSH NORM_DAT
            PIN TYPE_IN(7:0) TXTYPE(7:0)
            PIN FORCE_SEND SND_NORM_NOW
            PIN PB_ENA NORM_PKT_ENA
        END BLOCK
        BEGIN BLOCK SPONT_PB pkt_bldr
            PIN CLK TXUSRCLK2
            PIN MT SPONT_PB_MT
            PIN AF SPONT_PB_AF
            PIN FULL SPONT_PB_FULL
            PIN TXRESET TXRESET
            PIN DATAOUT(15:0) SPONT_DATA(15:0)
            PIN POP SPONT_POP
            PIN DATA_LEN(12:0) SPONT_LEN(12:0)
            PIN TYPE_OUT(7:0) SPONT_TYPE(7:0)
            PIN NEW_PKT SPONT_NEW
            PIN SEND SPONT_RDY
            PIN FRAG SPONT_FRAG
            PIN FRAG_NUM(31:0) SPONT_FRAG_NUM(31:0)
            PIN DATAIN(15:0) TRANSMIT(15:0)
            PIN PUSH SPONT_DAT
            PIN TYPE_IN(7:0) TXTYPE(7:0)
            PIN FORCE_SEND SND_SPONT_NOW
            PIN PB_ENA SPONT_PKT_ENA
        END BLOCK
        BEGIN BLOCK LA1 logic_anal
            PIN IN_A(15:0) RXDATA(15:0)
            PIN IN_B(15:0) RAW_STATS(15:0)
            PIN CLK RXUSRCLK2
            PIN RST RXRESET
            PIN DOUT(15:0) RECEIVE(15:0)
            PIN TRIGGER SOP
            PIN SEL RX_STAT_SEL(0)
            PIN READ_REQ RX_STAT_READ
            PIN ENA RX_STAT_ENA
            PIN MT RX_STAT_MT
        END BLOCK
        BEGIN BLOCK eth_c1 ether_ctrl
            PIN ETHER_CNFG(15:0) ETHER_CNFG(15:0)
            PIN PASS_THRU PASS_THRU
            PIN PROMISC PROMISC
            PIN PROT_ENA PROT_ENA
            PIN XTEND XTEND
            PIN SPONT_PKT_ENA SPONT_PKT_ENA
            PIN PRIO_PKT_ENA PRIO_PKT_ENA
            PIN NORM_PKT_ENA NORM_PKT_ENA
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 3520 2720 R0
        END INSTANCE
        BEGIN BRANCH RXSTATUS(15:0)
            WIRE 960 1488 1088 1488
        END BRANCH
        BEGIN BRANCH PROMISC
            WIRE 1168 1104 1232 1104
            WIRE 1232 1104 1312 1104
            BEGIN DISPLAY 1232 1104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SOP
            WIRE 960 816 1312 816
        END BRANCH
        BEGIN BRANCH STATE_ERR(3:0)
            WIRE 960 848 1312 848
        END BRANCH
        BEGIN BRANCH UPD_FRAME_STATS
            WIRE 960 880 1312 880
        END BRANCH
        BEGIN BRANCH XLXN_1691
            WIRE 960 912 1312 912
        END BRANCH
        BEGIN BRANCH XLXN_1692
            WIRE 960 944 1312 944
        END BRANCH
        BEGIN BRANCH XLXN_1693
            WIRE 960 976 1312 976
        END BRANCH
        BEGIN BRANCH LEN_OK
            WIRE 960 1008 1312 1008
        END BRANCH
        BEGIN BRANCH XLXN_1695
            WIRE 960 1040 1312 1040
        END BRANCH
        BEGIN BRANCH RX_ERR
            WIRE 960 1136 976 1136
            WIRE 976 1136 1312 1136
            WIRE 976 1104 976 1136
            WIRE 976 1104 1008 1104
        END BRANCH
        BEGIN BRANCH FF_MAC_PUSH
            WIRE 1856 784 2080 784
        END BRANCH
        BEGIN BRANCH FF_FULL
            WIRE 960 1328 2048 1328
            WIRE 2048 848 2048 1328
            WIRE 2048 848 2080 848
        END BRANCH
        BEGIN BRANCH FRAME_STATE_VALID
            WIRE 960 1424 1920 1424
            WIRE 1920 944 1920 1424
            WIRE 1920 944 2080 944
        END BRANCH
        BEGIN BRANCH FF_AF
            WIRE 960 1360 1936 1360
            WIRE 1936 880 1936 1360
            WIRE 1936 880 2080 880
        END BRANCH
        BEGIN BRANCH GOOD_FRAME
            WIRE 960 1392 1216 1392
            WIRE 1216 1392 1216 1456
            WIRE 1216 1456 1312 1456
            WIRE 1216 1392 2000 1392
            WIRE 2000 912 2000 1392
            WIRE 2000 912 2080 912
        END BRANCH
        BEGIN BRANCH XLXN_1746
            WIRE 960 1456 976 1456
            WIRE 976 1456 976 2016
            WIRE 976 2016 2976 2016
            WIRE 2976 1072 2976 2016
        END BRANCH
        BEGIN BRANCH XLXN_1764
            WIRE 2640 1424 2944 1424
            WIRE 2944 1072 2944 1424
        END BRANCH
        BEGIN BRANCH FF_MT
            WIRE 960 1296 1872 1296
            WIRE 1872 816 2080 816
            WIRE 1872 816 1872 1120
            WIRE 1872 1120 1872 1296
            WIRE 1872 1120 2704 1120
            WIRE 2704 912 2704 1120
            WIRE 2704 912 2736 912
        END BRANCH
        BEGIN BRANCH XLXN_1791(15:0)
            WIRE 2448 1072 2448 1328
        END BRANCH
        BEGIN BRANCH XLXN_1763
            WIRE 2640 1392 2720 1392
            WIRE 2720 944 2736 944
            WIRE 2720 944 2720 1392
        END BRANCH
        BEGIN BRANCH XLXN_1845
            WIRE 960 1072 1312 1072
        END BRANCH
        BEGIN BRANCH EOP
            WIRE 960 720 1312 720
        END BRANCH
        BEGIN BRANCH CAR_XTEND
            WIRE 960 752 1312 752
        END BRANCH
        BEGIN BRANCH ERR_PROP
            WIRE 960 784 1312 784
        END BRANCH
        BEGIN INSTANCE RXMAC1 1312 1264 R0
        END INSTANCE
        BEGIN INSTANCE MCM1 1344 1936 R0
        END INSTANCE
        BEGIN BRANCH RCV_ADDR(1:0)
            WIRE 1568 1264 1568 1504
        END BRANCH
        BEGIN BRANCH MACBUS(15:0)
            WIRE 1312 1712 1344 1712
        END BRANCH
        BEGIN BRANCH WADDR_TYPE(4:0)
            WIRE 1312 1744 1344 1744
        END BRANCH
        BEGIN BRANCH MWE
            WIRE 1312 1776 1344 1776
        END BRANCH
        BEGIN BRANCH TX_ADDR(1:0)
            WIRE 1600 1936 1600 2096
            BEGIN DISPLAY 1600 2096 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TX_MAC(15:0)
            WIRE 1664 1936 1664 2096
            BEGIN DISPLAY 1664 2096 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DFLT_MAC(15:0)
            WIRE 1728 1936 1728 2096
            BEGIN DISPLAY 1728 2096 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH ALL_MACS(63:0)
            WIRE 1632 1264 1632 1504
        END BRANCH
        IOMARKER 1088 1488 RXSTATUS(15:0) R0 28
        IOMARKER 1008 1104 RX_ERR R0 28
        IOMARKER 1312 1456 GOOD_FRAME R0 28
        IOMARKER 1312 1744 WADDR_TYPE(4:0) R180 28
        IOMARKER 1312 1712 MACBUS(15:0) R180 28
        IOMARKER 1312 1776 MWE R180 28
        BEGIN BRANCH RXDATA(15:0)
            WIRE 864 528 1312 528
        END BRANCH
        IOMARKER 864 528 RXDATA(15:0) R180 28
        BEGIN BRANCH RXCHARISK(1:0)
            WIRE 864 560 1072 560
            WIRE 1072 560 1312 560
            WIRE 1072 560 1072 688
            WIRE 960 688 1072 688
        END BRANCH
        IOMARKER 864 560 RXCHARISK(1:0) R180 28
        BEGIN BRANCH RXVALDAT
            WIRE 1856 560 2080 560
        END BRANCH
        BEGIN BRANCH PKT_DATA(15:0)
            WIRE 1856 528 2080 528
        END BRANCH
        BEGIN BRANCH ACTIVE
            WIRE 1856 752 1920 752
        END BRANCH
        IOMARKER 1920 752 ACTIVE R0 28
        BEGIN BRANCH FF_READ
            WIRE 2640 816 2736 816
        END BRANCH
        BEGIN BRANCH FF_MAC_POP
            WIRE 2640 880 2736 880
        END BRANCH
        BEGIN BRANCH ENA_FRAME
            WIRE 3200 848 3248 848
        END BRANCH
        BEGIN BRANCH PASS_THRU
            WIRE 3072 1072 3072 1136
            WIRE 3072 1136 3168 1136
            BEGIN DISPLAY 3168 1136 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FRAME_REQ
            WIRE 3200 880 3248 880
        END BRANCH
        BEGIN BRANCH FF_RDY
            WIRE 2640 848 2736 848
        END BRANCH
        BEGIN BRANCH ETH1_FRAME_READY
            WIRE 3200 816 3248 816
        END BRANCH
        BEGIN INSTANCE PDCD1 2736 1072 R0
        END INSTANCE
        BEGIN INSTANCE FF1 2080 1072 R0
        END INSTANCE
        BEGIN BRANCH FRAME_LENGTH(12:0)
            WIRE 2640 560 2736 560
        END BRANCH
        BEGIN BRANCH PKT_FF_DATA(15:0)
            WIRE 2640 528 2736 528
        END BRANCH
        BEGIN BRANCH RECEIVE(15:0)
            WIRE 3200 528 3248 528
        END BRANCH
        BEGIN BRANCH RCV_OPCODE(11:0)
            WIRE 3200 560 3248 560
        END BRANCH
        IOMARKER 3248 848 ENA_FRAME R0 28
        IOMARKER 3248 880 FRAME_REQ R0 28
        IOMARKER 3248 816 ETH1_FRAME_READY R0 28
        IOMARKER 3248 528 RECEIVE(15:0) R0 28
        IOMARKER 3248 560 RCV_OPCODE(11:0) R0 28
        BEGIN BRANCH PRIO_MAC_POP
            WIRE 2512 1680 2512 1776
            BEGIN DISPLAY 2512 1776 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_MAC_POP
            WIRE 2272 1680 2272 1776
            BEGIN DISPLAY 2272 1776 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_MAC_MT
            WIRE 2576 1680 2576 1776
            BEGIN DISPLAY 2576 1776 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_MAC(15:0)
            WIRE 2544 1680 2544 1776
            BEGIN DISPLAY 2544 1776 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_MAC_MT
            WIRE 2336 1680 2336 1776
            BEGIN DISPLAY 2336 1776 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_MAC(15:0)
            WIRE 2304 1680 2304 1776
            BEGIN DISPLAY 2304 1776 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE npm1 2096 1680 R0
        END INSTANCE
        BEGIN BRANCH RXUSRCLK2
            WIRE 1056 1200 1312 1200
            WIRE 1056 1200 1056 1840
            WIRE 1056 1840 1056 1968
            WIRE 1056 1968 1984 1968
            WIRE 1056 1840 1344 1840
            WIRE 1984 1008 2080 1008
            WIRE 1984 1008 1984 1152
            WIRE 1984 1152 2672 1152
            WIRE 1984 1152 1984 1616
            WIRE 1984 1616 2096 1616
            WIRE 1984 1616 1984 1968
            WIRE 2672 1008 2736 1008
            WIRE 2672 1008 2672 1152
        END BRANCH
        BEGIN BRANCH RXRESET
            WIRE 1024 1168 1312 1168
            WIRE 1024 1168 1024 1952
            WIRE 1024 1952 1968 1952
            WIRE 1968 976 2080 976
            WIRE 1968 976 1968 1136
            WIRE 1968 1136 2688 1136
            WIRE 1968 1136 1968 1584
            WIRE 1968 1584 2096 1584
            WIRE 1968 1584 1968 1952
            WIRE 2688 976 2736 976
            WIRE 2688 976 2688 1136
        END BRANCH
        BEGIN INSTANCE RXMON1 352 1616 R0
        END INSTANCE
        BEGIN BRANCH PASS_THRU
            WIRE 224 1392 256 1392
            WIRE 256 1392 352 1392
            BEGIN DISPLAY 256 1392 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PROMISC
            WIRE 160 1360 352 1360
            BEGIN DISPLAY 160 1360 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RXRUNDISP(1:0)
            WIRE 320 1136 352 1136
        END BRANCH
        BEGIN BRANCH RXNOTINTABLE(1:0)
            WIRE 320 1104 352 1104
        END BRANCH
        BEGIN BRANCH RXLOSSOFSYNC(1:0)
            WIRE 320 1072 352 1072
        END BRANCH
        BEGIN BRANCH RXDISPERR(1:0)
            WIRE 320 1040 352 1040
        END BRANCH
        BEGIN BRANCH RXCLKCORCNT(2:0)
            WIRE 320 1008 352 1008
        END BRANCH
        BEGIN BRANCH RXCHARISCOMMA(1:0)
            WIRE 320 976 352 976
        END BRANCH
        BEGIN BRANCH RXBUFSTATUS(1:0)
            WIRE 320 944 352 944
        END BRANCH
        BEGIN BRANCH RXCOMMADET
            WIRE 320 912 352 912
        END BRANCH
        BEGIN BRANCH RXREALIGN
            WIRE 320 880 352 880
        END BRANCH
        BEGIN BRANCH RXCHECKINGCRC
            WIRE 320 848 352 848
        END BRANCH
        BEGIN BRANCH RXCRCERR
            WIRE 320 816 352 816
        END BRANCH
        IOMARKER 320 1136 RXRUNDISP(1:0) R180 28
        IOMARKER 320 1104 RXNOTINTABLE(1:0) R180 28
        IOMARKER 320 1072 RXLOSSOFSYNC(1:0) R180 28
        IOMARKER 320 1040 RXDISPERR(1:0) R180 28
        IOMARKER 320 1008 RXCLKCORCNT(2:0) R180 28
        IOMARKER 320 976 RXCHARISCOMMA(1:0) R180 28
        IOMARKER 320 944 RXBUFSTATUS(1:0) R180 28
        IOMARKER 320 912 RXCOMMADET R180 28
        IOMARKER 320 880 RXREALIGN R180 28
        IOMARKER 320 848 RXCHECKINGCRC R180 28
        IOMARKER 320 816 RXCRCERR R180 28
        IOMARKER 288 1520 RXUSRCLK2 R180 28
        IOMARKER 288 1488 RXRESET R180 28
        BEGIN BRANCH RAW_STATS(15:0)
            WIRE 672 1616 672 1744
            BEGIN DISPLAY 672 1744 ATTR Name
                ALIGNMENT SOFT-VRIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DRPD_CNT(31:0)
            WIRE 608 1616 608 1632
            WIRE 608 1632 608 1744
        END BRANCH
        BEGIN BRANCH RCVD_CNT(31:0)
            WIRE 576 1616 576 1632
            WIRE 576 1632 576 1744
        END BRANCH
        IOMARKER 608 1744 DRPD_CNT(31:0) R90 28
        IOMARKER 576 1744 RCVD_CNT(31:0) R90 28
        BEGIN BRANCH RXRESET
            WIRE 288 1488 320 1488
            WIRE 320 1488 352 1488
        END BRANCH
        BEGIN BRANCH RXUSRCLK2
            WIRE 288 1520 304 1520
            WIRE 304 1520 352 1520
        END BRANCH
    END SHEET
    BEGIN SHEET 2 3520 2720
        BEGIN INSTANCE XLXI_6 3520 2720 R0
        END INSTANCE
        BEGIN BRANCH TXDATA(15:0)
            WIRE 240 1728 1536 1728
        END BRANCH
        BEGIN BRANCH TXKERR(1:0)
            WIRE 272 2208 352 2208
        END BRANCH
        BEGIN BRANCH TXBUFERR
            WIRE 272 2176 352 2176
        END BRANCH
        BEGIN BRANCH TXRUNDISP(1:0)
            WIRE 272 2240 352 2240
        END BRANCH
        BEGIN BRANCH TXSTATUS(15:0)
            WIRE 944 2528 1040 2528
        END BRANCH
        BEGIN INSTANCE TXMON 352 2592 R0
        END INSTANCE
        BEGIN BRANCH TX_UPDT
            WIRE 944 2016 1008 2016
            WIRE 1008 2016 1536 2016
            WIRE 1008 1888 1040 1888
            WIRE 1008 1888 1008 2016
        END BRANCH
        BEGIN BRANCH XMIT_CNT(31:0)
            WIRE 944 2464 1040 2464
        END BRANCH
        BEGIN BRANCH XERR_CNT(31:0)
            WIRE 944 2496 1040 2496
        END BRANCH
        BEGIN BRANCH TX_ERR
            WIRE 944 1920 976 1920
            WIRE 976 1920 1536 1920
            WIRE 976 1824 1024 1824
            WIRE 976 1824 976 1920
        END BRANCH
        BEGIN BRANCH PRIO_MAC_POP
            WIRE 2048 224 2048 288
            BEGIN DISPLAY 2048 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_MAC(15:0)
            WIRE 2080 224 2080 288
            BEGIN DISPLAY 2080 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_MAC_POP
            WIRE 1856 224 1856 288
            BEGIN DISPLAY 1856 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_MAC(15:0)
            WIRE 1888 224 1888 288
            BEGIN DISPLAY 1888 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_MAC_MT
            WIRE 1920 224 1920 288
            BEGIN DISPLAY 1920 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TX_ADDR(1:0)
            WIRE 1600 224 1600 288
            BEGIN DISPLAY 1600 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TX_MAC(15:0)
            WIRE 1664 224 1664 288
            BEGIN DISPLAY 1664 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_MAC_MT
            WIRE 2112 224 2112 288
            BEGIN DISPLAY 2112 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DFLT_MAC(15:0)
            WIRE 1728 224 1728 288
            BEGIN DISPLAY 1728 224 ATTR Name
                ALIGNMENT SOFT-VLEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XLXN_1826
            WIRE 944 2048 1536 2048
        END BRANCH
        BEGIN BRANCH XLXN_1825
            WIRE 944 1984 1536 1984
        END BRANCH
        BEGIN BRANCH XLXN_1836
            WIRE 944 1952 1536 1952
        END BRANCH
        BEGIN BRANCH PROT_ENA
            WIRE 1488 1824 1536 1824
            BEGIN DISPLAY 1488 1824 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XTEND
            WIRE 1488 1792 1536 1792
            BEGIN DISPLAY 1488 1792 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXCHARISK(1:0)
            WIRE 240 1760 1536 1760
        END BRANCH
        BEGIN BRANCH DV1024CLK
            WIRE 1328 1696 1536 1696
        END BRANCH
        BEGIN INSTANCE TXMAC 1536 2176 R0
        END INSTANCE
        BEGIN BRANCH SND_PRIO_NOW
            WIRE 3184 1280 3280 1280
        END BRANCH
        BEGIN BRANCH PRIO_DAT
            WIRE 3184 1216 3312 1216
        END BRANCH
        BEGIN BRANCH PRIO_DATA(15:0)
            WIRE 2320 1184 2512 1184
            WIRE 2512 1184 2784 1184
            BEGIN DISPLAY 2512 1184 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_POP
            WIRE 2320 1216 2512 1216
            WIRE 2512 1216 2784 1216
            BEGIN DISPLAY 2512 1216 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_LEN(12:0)
            WIRE 2320 1248 2544 1248
            WIRE 2544 1248 2784 1248
            BEGIN DISPLAY 2544 1248 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_TYPE(7:0)
            WIRE 2320 1280 2528 1280
            WIRE 2528 1280 2784 1280
            BEGIN DISPLAY 2528 1280 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_NEW
            WIRE 2320 1312 2528 1312
            WIRE 2528 1312 2784 1312
            BEGIN DISPLAY 2528 1312 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_FRAG
            WIRE 2320 1344 2512 1344
            WIRE 2512 1344 2784 1344
            BEGIN DISPLAY 2512 1344 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_FRAG_NUM(31:0)
            WIRE 2320 1376 2560 1376
            WIRE 2560 1376 2784 1376
            BEGIN DISPLAY 2560 1376 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_RDY
            WIRE 2320 1408 2512 1408
            WIRE 2512 1408 2784 1408
            BEGIN DISPLAY 2512 1408 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_DAT
            WIRE 3184 576 3296 576
        END BRANCH
        BEGIN BRANCH SND_NORM_NOW
            WIRE 3184 640 3296 640
        END BRANCH
        BEGIN BRANCH NORM_DATA(15:0)
            WIRE 2320 544 2512 544
            WIRE 2512 544 2784 544
            BEGIN DISPLAY 2512 544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_RDY
            WIRE 2320 768 2464 768
            WIRE 2464 768 2784 768
            BEGIN DISPLAY 2464 768 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_POP
            WIRE 2320 576 2480 576
            WIRE 2480 576 2784 576
            BEGIN DISPLAY 2480 576 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_LEN(12:0)
            WIRE 2320 608 2512 608
            WIRE 2512 608 2784 608
            BEGIN DISPLAY 2512 608 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_TYPE(7:0)
            WIRE 2320 640 2496 640
            WIRE 2496 640 2784 640
            BEGIN DISPLAY 2496 640 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_NEW
            WIRE 2320 672 2480 672
            WIRE 2480 672 2784 672
            BEGIN DISPLAY 2480 672 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_FRAG
            WIRE 2320 704 2480 704
            WIRE 2480 704 2784 704
            BEGIN DISPLAY 2480 704 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_FRAG_NUM(31:0)
            WIRE 2320 736 2528 736
            WIRE 2528 736 2784 736
            BEGIN DISPLAY 2528 736 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXRESET
            WIRE 2736 832 2784 832
        END BRANCH
        BEGIN BRANCH TXUSRCLK2
            WIRE 2736 864 2784 864
        END BRANCH
        BEGIN BRANCH NORM_PB_MT
            WIRE 2816 960 2976 960
            WIRE 2976 928 2976 960
            BEGIN DISPLAY 2816 960 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_PB_AF
            WIRE 2816 992 3008 992
            WIRE 3008 928 3008 992
            BEGIN DISPLAY 2816 992 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_PB_FULL
            WIRE 2816 1024 3040 1024
            WIRE 3040 928 3040 1024
            BEGIN DISPLAY 2816 1024 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_PB_FULL
            WIRE 2816 1664 3040 1664
            WIRE 3040 1568 3040 1664
            BEGIN DISPLAY 2816 1664 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_PB_AF
            WIRE 2816 1632 3008 1632
            WIRE 3008 1568 3008 1632
            BEGIN DISPLAY 2816 1632 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXUSRCLK2
            WIRE 2720 1504 2784 1504
        END BRANCH
        BEGIN BRANCH TXRESET
            WIRE 2720 1472 2784 1472
        END BRANCH
        BEGIN INSTANCE PRIO_PB 2784 1568 R0
        END INSTANCE
        BEGIN INSTANCE NORM_PB 2784 928 R0
        END INSTANCE
        BEGIN BRANCH SND_SPONT_NOW
            WIRE 3184 1920 3248 1920
        END BRANCH
        BEGIN BRANCH SPONT_DAT
            WIRE 3184 1856 3312 1856
        END BRANCH
        BEGIN BRANCH SPONT_DATA(15:0)
            WIRE 2320 1824 2512 1824
            WIRE 2512 1824 2784 1824
            BEGIN DISPLAY 2512 1824 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_POP
            WIRE 2320 1856 2480 1856
            WIRE 2480 1856 2784 1856
            BEGIN DISPLAY 2480 1856 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_LEN(12:0)
            WIRE 2320 1888 2496 1888
            WIRE 2496 1888 2784 1888
            BEGIN DISPLAY 2496 1888 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_TYPE(7:0)
            WIRE 2320 1920 2480 1920
            WIRE 2480 1920 2784 1920
            BEGIN DISPLAY 2480 1920 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_NEW
            WIRE 2320 1952 2464 1952
            WIRE 2464 1952 2784 1952
            BEGIN DISPLAY 2464 1952 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_FRAG
            WIRE 2320 1984 2464 1984
            WIRE 2464 1984 2784 1984
            BEGIN DISPLAY 2464 1984 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_FRAG_NUM(31:0)
            WIRE 2320 2016 2528 2016
            WIRE 2528 2016 2784 2016
            BEGIN DISPLAY 2528 2016 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_RDY
            WIRE 2320 2048 2480 2048
            WIRE 2480 2048 2784 2048
            BEGIN DISPLAY 2480 2048 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_PB_FULL
            WIRE 2816 2304 3040 2304
            WIRE 3040 2208 3040 2304
            BEGIN DISPLAY 2816 2304 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_PB_AF
            WIRE 2816 2272 3008 2272
            WIRE 3008 2208 3008 2272
            BEGIN DISPLAY 2816 2272 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TXUSRCLK2
            WIRE 2720 2144 2784 2144
        END BRANCH
        BEGIN BRANCH TXRESET
            WIRE 2720 2112 2784 2112
        END BRANCH
        BEGIN INSTANCE SPONT_PB 2784 2208 R0
        END INSTANCE
        BEGIN BRANCH TXTYPE(7:0)
            WIRE 3184 608 3264 608
            WIRE 3264 608 3264 1248
            WIRE 3264 1248 3264 1888
            WIRE 3264 608 3296 608
            WIRE 3184 1248 3264 1248
            WIRE 3184 1888 3264 1888
        END BRANCH
        BEGIN BRANCH TRANSMIT(15:0)
            WIRE 3184 544 3232 544
            WIRE 3232 544 3232 1184
            WIRE 3232 1184 3232 1824
            WIRE 3232 544 3296 544
            WIRE 3184 1184 3232 1184
            WIRE 3184 1824 3232 1824
        END BRANCH
        BEGIN BRANCH PRIO_PB_MT
            WIRE 2816 1600 2976 1600
            WIRE 2976 1568 2976 1600
            BEGIN DISPLAY 2816 1600 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_PB_MT
            WIRE 2816 2240 2976 2240
            WIRE 2976 2208 2976 2240
            BEGIN DISPLAY 2816 2240 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        IOMARKER 240 1728 TXDATA(15:0) R180 28
        IOMARKER 240 1760 TXCHARISK(1:0) R180 28
        IOMARKER 272 2208 TXKERR(1:0) R180 28
        IOMARKER 272 2176 TXBUFERR R180 28
        IOMARKER 272 2240 TXRUNDISP(1:0) R180 28
        IOMARKER 1040 2528 TXSTATUS(15:0) R0 28
        IOMARKER 1472 2080 TXRESET R180 28
        IOMARKER 1040 2496 XERR_CNT(31:0) R0 28
        IOMARKER 1040 2464 XMIT_CNT(31:0) R0 28
        IOMARKER 1328 1696 DV1024CLK R180 28
        IOMARKER 1024 1824 TX_ERR R0 28
        IOMARKER 1040 1888 TX_UPDT R0 28
        IOMARKER 3280 1280 SND_PRIO_NOW R0 28
        IOMARKER 3312 1216 PRIO_DAT R0 28
        IOMARKER 3296 608 TXTYPE(7:0) R0 28
        IOMARKER 3296 576 NORM_DAT R0 28
        IOMARKER 3296 640 SND_NORM_NOW R0 28
        IOMARKER 3296 544 TRANSMIT(15:0) R0 28
        IOMARKER 3312 1856 SPONT_DAT R0 28
        IOMARKER 3248 1920 SND_SPONT_NOW R0 28
        BEGIN BRANCH TXUSRCLK2
            WIRE 272 2528 336 2528
            WIRE 336 2528 352 2528
        END BRANCH
        BEGIN BRANCH TXRESET
            WIRE 272 2496 336 2496
            WIRE 336 2496 352 2496
        END BRANCH
        BEGIN BRANCH TXUSRCLK2
            WIRE 1472 2112 1536 2112
        END BRANCH
        BEGIN BRANCH TXRESET
            WIRE 1472 2080 1536 2080
        END BRANCH
        IOMARKER 1472 2112 TXUSRCLK2 R180 28
        IOMARKER 2720 2144 TXUSRCLK2 R180 28
        IOMARKER 2720 1504 TXUSRCLK2 R180 28
        IOMARKER 2736 864 TXUSRCLK2 R180 28
        IOMARKER 2736 832 TXRESET R180 28
        IOMARKER 2720 1472 TXRESET R180 28
        IOMARKER 2720 2112 TXRESET R180 28
        IOMARKER 272 2528 TXUSRCLK2 R180 28
        IOMARKER 272 2496 TXRESET R180 28
        BEGIN BRANCH NORM_PB_MT
            WIRE 944 2176 1056 2176
            BEGIN DISPLAY 1056 2176 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_PB_AF
            WIRE 944 2208 1056 2208
            BEGIN DISPLAY 1056 2208 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_PB_FULL
            WIRE 944 2240 1056 2240
            BEGIN DISPLAY 1056 2240 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_PB_FULL
            WIRE 944 2336 1056 2336
            BEGIN DISPLAY 1056 2336 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_PB_AF
            WIRE 944 2304 1056 2304
            BEGIN DISPLAY 1056 2304 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_PB_MT
            WIRE 944 2272 1056 2272
            BEGIN DISPLAY 1056 2272 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_PB_MT
            WIRE 944 2368 1056 2368
            BEGIN DISPLAY 1056 2368 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_PB_AF
            WIRE 944 2400 1056 2400
            BEGIN DISPLAY 1056 2400 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_PB_FULL
            WIRE 944 2432 1056 2432
            BEGIN DISPLAY 1056 2432 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_PKT_ENA
            WIRE 2720 2080 2784 2080
            BEGIN DISPLAY 2720 2080 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_PKT_ENA
            WIRE 2720 1440 2784 1440
            BEGIN DISPLAY 2720 1440 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_PKT_ENA
            WIRE 2736 800 2784 800
            BEGIN DISPLAY 2736 800 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TX_INPRGS
            WIRE 944 2144 1072 2144
        END BRANCH
        IOMARKER 1072 2144 TX_INPRGS R0 28
    END SHEET
    BEGIN SHEET 3 3520 2720
        BEGIN INSTANCE XLXI_2 3520 2720 R0
        END INSTANCE
        BEGIN BRANCH SOP
            WIRE 1536 368 1648 368
            WIRE 1648 368 1648 432
            BEGIN DISPLAY 1536 368 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RX_STAT_READ
            WIRE 1536 224 1744 224
            WIRE 1744 224 1744 432
        END BRANCH
        BEGIN BRANCH RX_STAT_ENA
            WIRE 1536 160 1776 160
            WIRE 1776 160 1776 432
        END BRANCH
        BEGIN BRANCH RX_STAT_MT
            WIRE 2064 560 2320 560
        END BRANCH
        BEGIN BRANCH RECEIVE(15:0)
            WIRE 2064 624 2208 624
            WIRE 2208 624 2320 624
            BEGIN DISPLAY 2208 624 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RXRESET
            WIRE 1264 752 1344 752
            WIRE 1344 752 1488 752
            BEGIN DISPLAY 1344 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RXUSRCLK2
            WIRE 1264 784 1312 784
            WIRE 1312 784 1488 784
            BEGIN DISPLAY 1312 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE LA1 1488 848 R0
        END INSTANCE
        BEGIN BRANCH RXDATA(15:0)
            WIRE 1040 528 1296 528
            WIRE 1296 528 1488 528
            BEGIN DISPLAY 1296 528 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RAW_STATS(15:0)
            WIRE 1056 688 1280 688
            WIRE 1280 688 1488 688
            BEGIN DISPLAY 1280 688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RX_STAT_SEL(2:0)
            WIRE 912 240 1104 240
            WIRE 1104 240 1104 256
            WIRE 1104 256 1104 272
            WIRE 1104 272 1104 288
            WIRE 1104 288 1104 304
        END BRANCH
        BEGIN BRANCH RX_STAT_SEL(0)
            WIRE 1200 288 1408 288
            WIRE 1408 288 1712 288
            WIRE 1712 288 1712 432
            BEGIN DISPLAY 1408 288 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1104 288 1200 288
        IOMARKER 2320 560 RX_STAT_MT R0 28
        IOMARKER 1536 224 RX_STAT_READ R180 28
        IOMARKER 1536 160 RX_STAT_ENA R180 28
        IOMARKER 912 240 RX_STAT_SEL(2:0) R180 28
        BEGIN BRANCH ETHER_CNFG(15:0)
            WIRE 544 1968 720 1968
        END BRANCH
        IOMARKER 544 1968 ETHER_CNFG(15:0) R180 28
        BEGIN INSTANCE eth_c1 720 2224 R0
        END INSTANCE
        BEGIN BRANCH PASS_THRU
            WIRE 1216 1872 1424 1872
            BEGIN DISPLAY 1424 1872 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PROMISC
            WIRE 1216 1904 1424 1904
            BEGIN DISPLAY 1424 1904 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PROT_ENA
            WIRE 1216 1936 1424 1936
            BEGIN DISPLAY 1424 1936 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH XTEND
            WIRE 1216 1968 1424 1968
            BEGIN DISPLAY 1424 1968 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SPONT_PKT_ENA
            WIRE 1216 2000 1424 2000
            BEGIN DISPLAY 1424 2000 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PRIO_PKT_ENA
            WIRE 1216 2032 1424 2032
            BEGIN DISPLAY 1424 2032 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH NORM_PKT_ENA
            WIRE 1216 2064 1424 2064
            BEGIN DISPLAY 1424 2064 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
