VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "virtex2p"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL MAC_OUT(15:0)
        SIGNAL MAC_WADDR(9:0)
        SIGNAL MAC_RADDR(9:0)
        SIGNAL LEN_RADDR(9:0)
        SIGNAL LEN_WRADDR(9:0)
        SIGNAL WP_SA(12:0)
        SIGNAL MWP_SA(9:0)
        SIGNAL SAVE
        SIGNAL LEN_PUSH
        SIGNAL MAC_POP
        SIGNAL LEN_POP
        SIGNAL FRAME_LEN(12:0)
        SIGNAL MAC_PUSH
        SIGNAL LEN_RST
        SIGNAL POP
        SIGNAL FF_IN(15:0)
        SIGNAL RADDR(12:0)
        SIGNAL FF_OUT(15:0)
        SIGNAL PUSH
        SIGNAL RP_RST
        SIGNAL LOAD
        SIGNAL RESET
        SIGNAL CLK
        SIGNAL WP_RST
        SIGNAL LEN_LOAD
        SIGNAL RXRESET
        SIGNAL FRAME_STAT_VALID
        SIGNAL GOOD_FRAME
        SIGNAL RXVALDAT
        SIGNAL READ
        SIGNAL AF
        SIGNAL FULL
        SIGNAL MT
        SIGNAL FRAME_READY
        SIGNAL WADDR(12:0)
        SIGNAL LEN_IN(15:0)
        SIGNAL LEN_IN(12:0)
        SIGNAL LEN_OUT(15:0)
        SIGNAL LEN_OUT(12:0)
        SIGNAL LEN_IN(15:13)
        PORT Output MAC_OUT(15:0)
        PORT Input MAC_POP
        PORT Output FRAME_LEN(12:0)
        PORT Input MAC_PUSH
        PORT Input FF_IN(15:0)
        PORT Output FF_OUT(15:0)
        PORT Input CLK
        PORT Input RXRESET
        PORT Input FRAME_STAT_VALID
        PORT Input GOOD_FRAME
        PORT Input RXVALDAT
        PORT Input READ
        PORT Output AF
        PORT Output FULL
        PORT Output MT
        PORT Output FRAME_READY
        BEGIN BLOCKDEF osu_title
            TIMESTAMP 2006 3 8 16 49 56
            BEGIN LINE W -1056 -336 0 -336 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE W 0 0 0 -336 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE W -1056 0 0 0 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE W -1056 0 -1056 -336 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE W -720 0 -720 -336 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N 0 -96 -720 -96 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N 0 -144 -720 -144 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N -4 -192 -724 -192 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N -4 -240 -724 -240 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N 0 -48 -720 -48 
                LINECOLOR 0 0 0
            END LINE
            BEGIN RECTANGLE N -1024 -304 -752 -32 
                LINECOLOR 0 0 0
            END RECTANGLE
            BEGIN CIRCLE N -932 -284 -924 -276 
                LINECOLOR 255 0 0
                FILLCOLOR 255 0 0
                FILLSTYLE Solid
            END CIRCLE
            BEGIN CIRCLE N -844 -284 -836 -276 
                LINECOLOR 255 0 0
                FILLCOLOR 255 0 0
                FILLSTYLE Solid
            END CIRCLE
            BEGIN CIRCLE W -1020 -252 -944 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN CIRCLE W -844 -252 -768 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN LINE W -864 -180 -864 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -884 -180 -884 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -932 -216 -884 -216 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -932 -180 -932 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -928 -84 -892 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -892 -164 -860 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -912 -116 -872 -116 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -840 -164 -840 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -868 -164 -772 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -816 -164 -816 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -816 -84 -772 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -816 -124 -784 -124 
                LINECOLOR 255 0 0
            END LINE
            BEGIN ARC W -1024 -124 -980 -80 -1020 -88 -1000 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN ARC W -1020 -164 -980 -124 -996 -164 -996 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN LINE W -996 -164 -916 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -952 -164 -952 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN CIRCLE W -840 -252 -764 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN LINE W -860 -180 -860 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -880 -180 -880 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -928 -216 -880 -216 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -928 -180 -928 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -924 -84 -888 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -888 -164 -856 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -908 -116 -868 -116 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -836 -164 -836 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -864 -164 -768 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -812 -164 -812 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -812 -84 -768 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -812 -124 -780 -124 
                LINECOLOR 255 0 0
            END LINE
            BEGIN ARC W -1020 -124 -976 -80 -1016 -88 -996 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN ARC W -1016 -164 -976 -124 -992 -164 -992 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN LINE W -992 -164 -912 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -948 -164 -948 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN CIRCLE W -1016 -252 -940 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN CIRCLE W -836 -252 -760 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN LINE W -856 -180 -856 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -876 -180 -876 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -924 -216 -876 -216 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -924 -180 -924 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -920 -84 -884 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -884 -164 -852 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -904 -116 -864 -116 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -832 -164 -832 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -860 -164 -764 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -808 -164 -808 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -808 -84 -764 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -808 -124 -776 -124 
                LINECOLOR 255 0 0
            END LINE
            BEGIN ARC W -1016 -124 -972 -80 -1012 -88 -992 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN ARC W -1012 -164 -972 -124 -988 -164 -988 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN LINE W -988 -164 -908 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -944 -164 -944 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN CIRCLE W -1012 -252 -936 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN CIRCLE W -1008 -252 -932 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN CIRCLE W -832 -252 -756 -176 
                LINECOLOR 255 0 0
            END CIRCLE
            BEGIN LINE W -852 -180 -852 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -872 -180 -872 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -920 -216 -872 -216 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -920 -180 -920 -252 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -916 -84 -880 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -880 -164 -848 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -900 -116 -860 -116 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -828 -164 -828 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -856 -164 -760 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -804 -164 -804 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -804 -84 -760 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -804 -124 -772 -124 
                LINECOLOR 255 0 0
            END LINE
            BEGIN ARC W -1012 -124 -968 -80 -1008 -88 -988 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN ARC W -1008 -164 -968 -124 -984 -164 -984 -124 
                LINECOLOR 255 0 0
            END ARC
            BEGIN LINE W -984 -164 -904 -164 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE W -940 -164 -940 -84 
                LINECOLOR 255 0 0
            END LINE
            BEGIN LINE N -288 -48 -288 0 
                LINECOLOR 0 0 0
            END LINE
            BEGIN LINE N -288 -96 -288 -144 
                LINECOLOR 0 0 0
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF cnt_up_l_13
            TIMESTAMP 2005 8 22 15 16 25
            RECTANGLE N 32 -352 288 -32 
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            LINE N 160 -32 160 0 
            LINE N 0 -128 32 -128 
            LINE N 0 -160 32 -160 
            BEGIN LINE W 0 -256 32 -256 
            END LINE
            BEGIN LINE W 288 -256 320 -256 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF reg_ce_13
            TIMESTAMP 2005 8 22 15 6 49
            RECTANGLE N 32 -352 288 -32 
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            LINE N 160 -32 160 0 
            BEGIN LINE W 0 -256 32 -256 
            END LINE
            BEGIN LINE W 288 -256 320 -256 
            END LINE
            LINE N 0 -96 32 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF cnt_up_13
            TIMESTAMP 2005 8 22 15 9 13
            RECTANGLE N 32 -352 288 -32 
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            LINE N 160 -32 160 0 
            LINE N 0 -128 32 -128 
            BEGIN LINE W 288 -256 320 -256 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF cnt_up_10
            TIMESTAMP 2005 8 22 15 17 51
            RECTANGLE N 32 -352 288 -32 
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            LINE N 160 -32 160 0 
            LINE N 0 -128 32 -128 
            BEGIN LINE W 288 -256 320 -256 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF dpm_1kx16
            TIMESTAMP 2004 6 25 19 33 56
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            BEGIN LINE W 0 -256 32 -256 
            END LINE
            LINE N 0 -96 32 -96 
            RECTANGLE N 32 -352 544 -32 
            BEGIN LINE W 544 -256 576 -256 
            END LINE
            BEGIN LINE W 192 -32 192 0 
            END LINE
            BEGIN LINE W 384 -32 384 0 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF cnt_dn_l_13
            TIMESTAMP 2005 8 22 15 11 21
            RECTANGLE N 32 -352 288 -32 
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            LINE N 160 -32 160 0 
            LINE N 0 -128 32 -128 
            LINE N 0 -160 32 -160 
            BEGIN LINE W 0 -256 32 -256 
            END LINE
            BEGIN LINE W 288 -256 320 -256 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF cnt_up_l_10
            TIMESTAMP 2005 8 22 15 17 8
            RECTANGLE N 32 -352 288 -32 
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            LINE N 160 -32 160 0 
            LINE N 0 -128 32 -128 
            LINE N 0 -160 32 -160 
            BEGIN LINE W 0 -256 32 -256 
            END LINE
            BEGIN LINE W 288 -256 320 -256 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF reg_ce_10
            TIMESTAMP 2005 8 22 15 7 23
            RECTANGLE N 32 -352 288 -32 
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            LINE N 160 -32 160 0 
            BEGIN LINE W 0 -256 32 -256 
            END LINE
            BEGIN LINE W 288 -256 320 -256 
            END LINE
            LINE N 0 -96 32 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF ff_ctrl
            TIMESTAMP 2004 7 2 20 1 18
            RECTANGLE N 32 -576 544 -32 
            LINE N 0 -64 32 -64 
            BEGIN LINE W 0 -448 32 -448 
            END LINE
            BEGIN LINE W 0 -384 32 -384 
            END LINE
            LINE N 0 -96 32 -96 
            LINE N 0 -128 32 -128 
            LINE N 0 -160 32 -160 
            LINE N 0 -192 32 -192 
            LINE N 0 -224 32 -224 
            LINE N 0 -288 32 -288 
            LINE N 544 -544 576 -544 
            LINE N 544 -512 576 -512 
            LINE N 544 -480 576 -480 
            LINE N 544 -448 576 -448 
            LINE N 544 -416 576 -416 
            LINE N 544 -384 576 -384 
            LINE N 544 -352 576 -352 
            LINE N 544 -320 576 -320 
            LINE N 544 -288 576 -288 
            LINE N 544 -256 576 -256 
            LINE N 544 -224 576 -224 
            LINE N 544 -160 576 -160 
            LINE N 544 -128 576 -128 
            LINE N 544 -96 576 -96 
            LINE N 544 -64 576 -64 
            BEGIN LINE W 0 -416 32 -416 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 2 2 12 37 29
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF dpm_8kx16
            TIMESTAMP 2005 7 27 18 33 52
            LINE N 44 -52 60 -64 
            LINE N 44 -76 60 -64 
            LINE N 0 -64 32 -64 
            BEGIN LINE W 0 -256 32 -256 
            END LINE
            LINE N 0 -96 32 -96 
            RECTANGLE N 32 -352 544 -32 
            BEGIN LINE W 544 -256 576 -256 
            END LINE
            BEGIN LINE W 192 -32 192 0 
            END LINE
            BEGIN LINE W 384 -32 384 0 
            END LINE
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 osu_title
            ATTR TitleFieldText "Packet  Receiver FIFO"
            ATTR ProjectFieldText "D783C"
            ATTR NameFieldText "Gigabit Ethernet VME Contoller"
            ATTR DateFieldText "23-Jun-04"
            ATTR RevFieldText "3.55"
            ATTR SubtitleFieldText "FIFOs and counters"
        END BLOCK
        BEGIN BLOCK strt_prt reg_ce_13
            PIN clk CLK
            PIN r RESET
            PIN din(12:0) WADDR(12:0)
            PIN dout(12:0) WP_SA(12:0)
            PIN ce SAVE
        END BLOCK
        BEGIN BLOCK wrt_ptr cnt_up_l_13
            PIN clk CLK
            PIN r WP_RST
            PIN inc PUSH
            PIN l LOAD
            PIN din(12:0) WP_SA(12:0)
            PIN count(12:0) WADDR(12:0)
        END BLOCK
        BEGIN BLOCK MAC_source_fifo dpm_1kx16
            PIN clk CLK
            PIN di(15:0) FF_IN(15:0)
            PIN we MAC_PUSH
            PIN dpo(15:0) MAC_OUT(15:0)
            PIN a(9:0) MAC_WADDR(9:0)
            PIN dpra(9:0) MAC_RADDR(9:0)
        END BLOCK
        BEGIN BLOCK frame_len_fifo dpm_1kx16
            PIN clk CLK
            PIN di(15:0) LEN_IN(15:0)
            PIN we LEN_PUSH
            PIN dpo(15:0) LEN_OUT(15:0)
            PIN a(9:0) LEN_WRADDR(9:0)
            PIN dpra(9:0) LEN_RADDR(9:0)
        END BLOCK
        BEGIN BLOCK len_up_cntr cnt_up_13
            PIN clk CLK
            PIN r LEN_RST
            PIN inc PUSH
            PIN count(12:0) LEN_IN(12:0)
        END BLOCK
        BEGIN BLOCK MAC_wrt_ptr cnt_up_l_10
            PIN clk CLK
            PIN r RESET
            PIN inc MAC_PUSH
            PIN l LOAD
            PIN din(9:0) MWP_SA(9:0)
            PIN count(9:0) MAC_WADDR(9:0)
        END BLOCK
        BEGIN BLOCK MAC_strt_ptr reg_ce_10
            PIN clk CLK
            PIN r RESET
            PIN din(9:0) MAC_WADDR(9:0)
            PIN dout(9:0) MWP_SA(9:0)
            PIN ce SAVE
        END BLOCK
        BEGIN BLOCK len_wrt_ptr cnt_up_10
            PIN clk CLK
            PIN r RESET
            PIN inc LEN_PUSH
            PIN count(9:0) LEN_WRADDR(9:0)
        END BLOCK
        BEGIN BLOCK read_ptr cnt_up_13
            PIN clk CLK
            PIN r RP_RST
            PIN inc POP
            PIN count(12:0) RADDR(12:0)
        END BLOCK
        BEGIN BLOCK MAC_read_ptr cnt_up_10
            PIN clk CLK
            PIN r RESET
            PIN inc MAC_POP
            PIN count(9:0) MAC_RADDR(9:0)
        END BLOCK
        BEGIN BLOCK len_dn_cntr cnt_dn_l_13
            PIN clk CLK
            PIN r RESET
            PIN dec POP
            PIN l LEN_LOAD
            PIN din(12:0) LEN_OUT(12:0)
            PIN count(12:0) FRAME_LEN(12:0)
        END BLOCK
        BEGIN BLOCK len_read_ptr cnt_up_10
            PIN clk CLK
            PIN r RESET
            PIN inc LEN_POP
            PIN count(9:0) LEN_RADDR(9:0)
        END BLOCK
        BEGIN BLOCK XLXI_122 osu_title
            ATTR TitleFieldText "Packet  Receiver FIFO"
            ATTR ProjectFieldText "D783C"
            ATTR NameFieldText "Gigabit Ethernet VME Controller"
            ATTR DateFieldText "23-Jun-04"
            ATTR RevFieldText "3.55"
            ATTR SubtitleFieldText "FIFO Controller"
        END BLOCK
        BEGIN BLOCK FFC1 ff_ctrl
            PIN CLK CLK
            PIN RXRESET RXRESET
            PIN FRAME_STAT_VALID FRAME_STAT_VALID
            PIN GOOD_FRAME GOOD_FRAME
            PIN RXVALDAT RXVALDAT
            PIN MAC_PUSH MAC_PUSH
            PIN READ READ
            PIN WADDR(12:0) WADDR(12:0)
            PIN FRAME_LEN(12:0) FRAME_LEN(12:0)
            PIN FRAME_READY FRAME_READY
            PIN MT MT
            PIN FULL FULL
            PIN AF AF
            PIN PUSH PUSH
            PIN POP POP
            PIN RESET RESET
            PIN LOAD LOAD
            PIN SAVE SAVE
            PIN WP_RST WP_RST
            PIN RP_RST RP_RST
            PIN LEN_RST LEN_RST
            PIN LEN_LOAD LEN_LOAD
            PIN LEN_PUSH LEN_PUSH
            PIN LEN_POP LEN_POP
            PIN RADDR(12:0) RADDR(12:0)
        END BLOCK
        BEGIN BLOCK GND_J(15:13) gnd
            PIN G LEN_IN(15:13)
        END BLOCK
        BEGIN BLOCK frame_data_fifo dpm_8kx16
            PIN CLK CLK
            PIN DIN(15:0) FF_IN(15:0)
            PIN WE PUSH
            PIN DOUT(15:0) FF_OUT(15:0)
            PIN WADDR(12:0) WADDR(12:0)
            PIN RADDR(12:0) RADDR(12:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 3520 2720 R0
        END INSTANCE
        BEGIN BRANCH MAC_OUT(15:0)
            WIRE 2144 816 2944 816
        END BRANCH
        BEGIN BRANCH MAC_WADDR(9:0)
            WIRE 304 1040 1440 1040
            WIRE 1440 1040 1440 1168
            WIRE 1440 1168 1616 1168
            WIRE 1616 1168 1760 1168
            WIRE 304 1040 304 1168
            WIRE 304 1168 368 1168
            WIRE 1360 1168 1440 1168
            WIRE 1760 1072 1760 1168
            BEGIN DISPLAY 1616 1168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MAC_RADDR(9:0)
            WIRE 1952 1072 1952 1168
            WIRE 1952 1168 2160 1168
            WIRE 2160 1168 2384 1168
            BEGIN DISPLAY 2160 1168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LEN_WRADDR(9:0)
            WIRE 1360 2080 1632 2080
            WIRE 1632 2080 1776 2080
            WIRE 1776 1904 1776 2080
            BEGIN DISPLAY 1632 2080 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WP_SA(12:0)
            WIRE 672 496 816 496
            WIRE 816 496 1040 496
            BEGIN DISPLAY 816 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MWP_SA(9:0)
            WIRE 688 1168 800 1168
            WIRE 800 1168 1040 1168
            BEGIN DISPLAY 800 1168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SAVE
            WIRE 160 1328 208 1328
            WIRE 208 1328 368 1328
            WIRE 208 656 352 656
            WIRE 208 656 208 1328
            BEGIN DISPLAY 160 1328 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LEN_PUSH
            WIRE 144 2208 864 2208
            WIRE 864 2208 1040 2208
            WIRE 864 2208 864 2416
            WIRE 864 2416 1552 2416
            WIRE 1552 1808 1584 1808
            WIRE 1552 1808 1552 2416
            BEGIN DISPLAY 144 2208 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH MAC_POP
            WIRE 2704 1296 2944 1296
        END BRANCH
        BEGIN BRANCH LEN_POP
            WIRE 2704 2208 2960 2208
            BEGIN DISPLAY 2960 2208 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FRAME_LEN(12:0)
            WIRE 2704 1648 2944 1648
        END BRANCH
        BEGIN BRANCH MAC_PUSH
            WIRE 176 976 880 976
            WIRE 880 976 1568 976
            WIRE 880 976 880 1296
            WIRE 880 1296 1040 1296
        END BRANCH
        BEGIN BRANCH LEN_RST
            WIRE 128 1920 1200 1920
            WIRE 1200 1904 1200 1920
            BEGIN DISPLAY 128 1920 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH POP
            WIRE 2352 1488 2816 1488
            WIRE 2352 1488 2352 1776
            WIRE 2352 1776 2384 1776
            WIRE 2704 624 2816 624
            WIRE 2816 624 2944 624
            WIRE 2816 624 2816 1488
            BEGIN DISPLAY 2944 624 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FF_IN(15:0)
            WIRE 160 128 1488 128
            WIRE 1488 128 1568 128
            WIRE 1488 128 1488 816
            WIRE 1488 816 1568 816
        END BRANCH
        BEGIN BRANCH WADDR(12:0)
            WIRE 272 352 1440 352
            WIRE 1440 352 1440 496
            WIRE 1440 496 1632 496
            WIRE 1632 496 1760 496
            WIRE 272 352 272 496
            WIRE 272 496 352 496
            WIRE 1360 496 1440 496
            WIRE 1760 384 1760 496
            BEGIN DISPLAY 1632 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RADDR(12:0)
            WIRE 1952 384 1952 496
            WIRE 1952 496 2160 496
            WIRE 2160 496 2384 496
            BEGIN DISPLAY 2160 496 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH FF_OUT(15:0)
            WIRE 2144 128 2928 128
        END BRANCH
        BEGIN BRANCH PUSH
            WIRE 160 288 944 288
            WIRE 944 288 1568 288
            WIRE 944 288 944 624
            WIRE 944 624 1040 624
            WIRE 944 624 944 1776
            WIRE 944 1776 1040 1776
            BEGIN DISPLAY 160 288 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE wrt_ptr 1040 752 R0
        END INSTANCE
        BEGIN INSTANCE MAC_source_fifo 1568 1072 R0
        END INSTANCE
        BEGIN BRANCH RP_RST
            WIRE 2544 752 2544 784
            WIRE 2544 784 2944 784
            BEGIN DISPLAY 2944 784 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LOAD
            WIRE 144 1472 912 1472
            WIRE 912 592 1040 592
            WIRE 912 592 912 1264
            WIRE 912 1264 1040 1264
            WIRE 912 1264 912 1472
            BEGIN DISPLAY 144 1472 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE frame_len_fifo 1584 1904 R0
        END INSTANCE
        BEGIN INSTANCE len_up_cntr 1040 1904 R0
        END INSTANCE
        BEGIN INSTANCE MAC_wrt_ptr 1040 1424 R0
        END INSTANCE
        BEGIN INSTANCE len_wrt_ptr 1040 2336 R0
        END INSTANCE
        BEGIN BRANCH RESET
            WIRE 160 784 512 784
            WIRE 512 784 976 784
            WIRE 976 784 976 1440
            WIRE 976 1440 1200 1440
            WIRE 976 1440 976 2352
            WIRE 976 2352 1200 2352
            WIRE 1200 2352 2288 2352
            WIRE 2288 2352 2544 2352
            WIRE 512 752 512 784
            WIRE 528 1424 528 1440
            WIRE 528 1440 976 1440
            WIRE 1200 1424 1200 1440
            WIRE 1200 2336 1200 2352
            WIRE 2288 1920 2288 2352
            WIRE 2288 1920 2336 1920
            WIRE 2336 1920 2544 1920
            WIRE 2336 1456 2544 1456
            WIRE 2336 1456 2336 1920
            WIRE 2544 1424 2544 1456
            WIRE 2544 1904 2544 1920
            WIRE 2544 2336 2544 2352
            BEGIN DISPLAY 160 784 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE read_ptr 2704 752 M0
        END INSTANCE
        BEGIN INSTANCE len_dn_cntr 2384 1904 R0
        END INSTANCE
        BEGIN INSTANCE len_read_ptr 2704 2336 M0
        END INSTANCE
        IOMARKER 2928 128 FF_OUT(15:0) R0 28
        IOMARKER 2944 816 MAC_OUT(15:0) R0 28
        IOMARKER 2944 1648 FRAME_LEN(12:0) R0 28
        BEGIN BRANCH WP_RST
            WIRE 176 896 1200 896
            WIRE 1200 752 1200 896
            BEGIN DISPLAY 176 896 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LEN_LOAD
            WIRE 2368 1520 2368 1744
            WIRE 2368 1744 2384 1744
            WIRE 2368 1520 2944 1520
            BEGIN DISPLAY 2944 1520 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 160 688 256 688
            WIRE 256 688 256 1008
            WIRE 256 1008 1008 1008
            WIRE 1008 1008 1008 1360
            WIRE 1008 1360 1040 1360
            WIRE 1008 1360 1008 1840
            WIRE 1008 1840 1040 1840
            WIRE 1008 1840 1008 1952
            WIRE 1008 1952 1008 2272
            WIRE 1008 2272 1040 2272
            WIRE 1008 1952 1568 1952
            WIRE 1568 1952 2368 1952
            WIRE 2368 1952 2784 1952
            WIRE 2784 1952 2784 2272
            WIRE 1008 1008 1568 1008
            WIRE 256 1008 256 1360
            WIRE 256 1360 368 1360
            WIRE 256 688 352 688
            WIRE 1008 320 1568 320
            WIRE 1008 320 1008 688
            WIRE 1008 688 1040 688
            WIRE 1008 688 1008 1008
            WIRE 1568 1840 1584 1840
            WIRE 1568 1840 1568 1952
            WIRE 2368 1840 2368 1952
            WIRE 2368 1840 2384 1840
            WIRE 2704 688 2784 688
            WIRE 2784 688 2784 1360
            WIRE 2784 1360 2784 1952
            WIRE 2704 1360 2784 1360
            WIRE 2704 2272 2784 2272
        END BRANCH
        BEGIN INSTANCE MAC_read_ptr 2704 1424 M0
        END INSTANCE
        IOMARKER 2944 1296 MAC_POP R0 28
        IOMARKER 160 688 CLK R180 28
        IOMARKER 176 976 MAC_PUSH R180 28
        IOMARKER 160 128 FF_IN(15:0) R180 28
        BEGIN INSTANCE MAC_strt_ptr 368 1424 R0
        END INSTANCE
        BEGIN INSTANCE strt_prt 352 752 R0
        END INSTANCE
        BUSTAP 1520 1648 1424 1648
        BEGIN BRANCH LEN_IN(12:0)
            WIRE 1360 1648 1424 1648
        END BRANCH
        BUSTAP 2176 1648 2272 1648
        BEGIN BRANCH LEN_OUT(12:0)
            WIRE 2272 1648 2320 1648
            WIRE 2320 1648 2384 1648
            BEGIN DISPLAY 2320 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LEN_OUT(15:0)
            WIRE 2160 1648 2176 1648
        END BRANCH
        BEGIN BRANCH LEN_RADDR(9:0)
            WIRE 1968 1904 1968 2080
            WIRE 1968 2080 2160 2080
            WIRE 2160 2080 2384 2080
            BEGIN DISPLAY 2160 2080 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE frame_data_fifo 1568 384 R0
        END INSTANCE
        BEGIN BRANCH LEN_IN(15:0)
            WIRE 1520 1648 1552 1648
            WIRE 1552 1648 1568 1648
            WIRE 1568 1648 1584 1648
            WIRE 1552 1648 1552 1680
            WIRE 1552 1680 1552 1712
            WIRE 1552 1712 1552 1728
            WIRE 1552 1728 1552 1744
            WIRE 1552 1744 1552 1776
            BEGIN DISPLAY 1568 1648 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1552 1728 1456 1728
        BEGIN BRANCH LEN_IN(15:13)
            WIRE 1392 1728 1392 1776
            WIRE 1392 1728 1456 1728
        END BRANCH
        INSTANCE GND_J(15:13) 1328 1904 R0
    END SHEET
    BEGIN SHEET 2 3520 2720
        BEGIN INSTANCE XLXI_122 3520 2720 R0
        END INSTANCE
        BEGIN INSTANCE FFC1 944 1808 R0
        END INSTANCE
        BEGIN BRANCH CLK
            WIRE 752 1744 944 1744
        END BRANCH
        BEGIN BRANCH RXRESET
            WIRE 752 1712 944 1712
        END BRANCH
        BEGIN BRANCH FRAME_STAT_VALID
            WIRE 752 1680 944 1680
        END BRANCH
        BEGIN BRANCH GOOD_FRAME
            WIRE 752 1648 944 1648
        END BRANCH
        BEGIN BRANCH RXVALDAT
            WIRE 752 1616 944 1616
        END BRANCH
        BEGIN BRANCH MAC_PUSH
            WIRE 752 1584 944 1584
        END BRANCH
        BEGIN BRANCH READ
            WIRE 752 1520 944 1520
        END BRANCH
        BEGIN BRANCH FRAME_LEN(12:0)
            WIRE 752 1424 944 1424
            BEGIN DISPLAY 752 1424 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WADDR(12:0)
            WIRE 752 1360 944 1360
            BEGIN DISPLAY 752 1360 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RESET
            WIRE 1520 1264 1744 1264
            BEGIN DISPLAY 1744 1264 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PUSH
            WIRE 1520 1296 1744 1296
            BEGIN DISPLAY 1744 1296 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH POP
            WIRE 1520 1328 1744 1328
            BEGIN DISPLAY 1744 1328 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LOAD
            WIRE 1520 1360 1744 1360
            BEGIN DISPLAY 1744 1360 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SAVE
            WIRE 1520 1392 1744 1392
            BEGIN DISPLAY 1744 1392 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH WP_RST
            WIRE 1520 1424 1744 1424
            BEGIN DISPLAY 1744 1424 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LEN_RST
            WIRE 1520 1488 1744 1488
            BEGIN DISPLAY 1744 1488 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH AF
            WIRE 1520 1744 1744 1744
        END BRANCH
        BEGIN BRANCH FULL
            WIRE 1520 1712 1744 1712
        END BRANCH
        BEGIN BRANCH MT
            WIRE 1520 1680 1744 1680
        END BRANCH
        BEGIN BRANCH FRAME_READY
            WIRE 1520 1648 1744 1648
        END BRANCH
        BEGIN BRANCH LEN_POP
            WIRE 1520 1584 1744 1584
            BEGIN DISPLAY 1744 1584 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LEN_PUSH
            WIRE 1520 1552 1744 1552
            BEGIN DISPLAY 1744 1552 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LEN_LOAD
            WIRE 1520 1520 1744 1520
            BEGIN DISPLAY 1744 1520 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RP_RST
            WIRE 1520 1456 1744 1456
            BEGIN DISPLAY 1744 1456 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        IOMARKER 752 1520 READ R180 28
        IOMARKER 752 1648 GOOD_FRAME R180 28
        IOMARKER 752 1712 RXRESET R180 28
        IOMARKER 752 1584 MAC_PUSH R180 28
        IOMARKER 752 1616 RXVALDAT R180 28
        IOMARKER 752 1680 FRAME_STAT_VALID R180 28
        IOMARKER 752 1744 CLK R180 28
        IOMARKER 1744 1744 AF R0 28
        IOMARKER 1744 1680 MT R0 28
        IOMARKER 1744 1712 FULL R0 28
        IOMARKER 1744 1648 FRAME_READY R0 28
        BEGIN BRANCH RADDR(12:0)
            WIRE 752 1392 944 1392
            BEGIN DISPLAY 752 1392 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
    END SHEET
END SCHEMATIC
